<?php if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'OVABRW_Admin_Meta_Boxes', false ) ) {
	class OVABRW_Admin_Meta_Boxes {
		protected static $_instance = null;
		public $rental_types = [];

		public function __construct() {
			// Load
			ovabrw_autoload( OVABRW_PLUGIN_PATH .'admin/meta-boxes/rental-types/class-ovabrw-admin-rental-by-*.php' );

			$this->init();
		}

		public function init() {
			$this->rental_types['day'] 				= new OVABRW_Admin_Rental_By_Day();
			$this->rental_types['hour'] 			= new OVABRW_Admin_Rental_By_Hour();
			$this->rental_types['mixed'] 			= new OVABRW_Admin_Rental_By_Mixed();
			$this->rental_types['period_time'] 		= new OVABRW_Admin_Rental_By_Period_Time();
			$this->rental_types['transportation'] 	= new OVABRW_Admin_Rental_By_Transportation();
			$this->rental_types['taxi'] 			= new OVABRW_Admin_Rental_By_Taxi();
			$this->rental_types['hotel'] 			= new OVABRW_Admin_Rental_By_Hotel();
		}

		public function get_rental_product_ids() {
			$args = array(
	            'post_type'         => 'product',
	            'post_status' 		=> 'publish',
	            'posts_per_page' 	=> '-1',
	            'fields'            => 'ids',
	            'tax_query' 		=> array(
	                array(
	                    'taxonomy' => 'product_type',
	                    'field'    => 'slug',
	                    'terms'    => 'ovabrw_car_rental', 
	                ),
	            ),
	        );

	        $product_ids = get_posts( $args );

	        return $product_ids;
		}

		public static function instance() {
			if ( is_null( self::$_instance ) ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}
	}

	new OVABRW_Admin_Meta_Boxes();
}