<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$locations = OVABRW_Get_Data::instance()->get_data_location();
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Locations', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_choose_location">
			<div class="ovabrw_st_locations">
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'Pick-up Location', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Drop-off Location', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_resources">
					<?php if ( ! empty( $locations ) && is_array( $locations ) ):
						$pickup_locations 	= $this->get_value( 'st_pickup_loc' );
						$dropoff_locations 	= $this->get_value( 'st_dropoff_loc' );
					?>
						<?php if ( ! empty( $pickup_locations ) && ! empty( $dropoff_locations ) ): ?>
							<?php foreach ( $pickup_locations as $i => $pickup_location ):
								$dropoff_location = isset( $dropoff_locations[$i] ) ? $dropoff_locations[$i] : '';
							?>
								<tr class="tr_setup_loc">
									<td width="50%">
								      	<select name="<?php echo esc_attr( $this->get_name( 'st_pickup_loc[]' ) ); ?>">
								      		<option value=""><?php echo esc_html__( 'Select Location', 'ova-brw' ); ?></option>
											<?php foreach ( $locations as $location ): ?>
												<option value="<?php echo esc_attr( $location ); ?>"<?php selected( $location, $pickup_location ); ?>>
													<?php echo esc_html( $location ); ?>
												</option>
											<?php endforeach; ?>
									    </select>
								    </td>
								    <td width="50%">
								      <select name="<?php echo esc_attr( $this->get_name( 'st_dropoff_loc[]' ) ); ?>">
								      		<option value=""><?php echo esc_html__( 'Select Location', 'ova-brw' ); ?></option>
											<?php foreach ( $locations as $location ): ?>
												<option value="<?php echo esc_attr( $location ); ?>"<?php selected( $location, $dropoff_location ); ?>>
													<?php echo esc_html( $location ); ?>
												</option>
											<?php endforeach; ?>
									    </select>
								    </td>
								    <td width="1%"><button class="button ovabrw-remove-location">x</button></td>
								</tr>
							<?php endforeach; ?>
						<?php endif; ?>
					<?php endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-location" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-choose-location-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add Location', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>