<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$discount_distance_from 	= $this->get_value( 'discount_distance_from' );
	$discount_distance_to 		= $this->get_value( 'discount_distance_to' );
	$discount_distance_price 	= $this->get_value( 'discount_distance_price' );
	$price_by 					= $this->get_value( 'map_price_by', 'km' );

	if ( ! $price_by ) $price_by = 'km';
?>
<div class="ovabrw_rt_discount_distance">
	<table class="widefat">
		<thead>
			<tr>
				<th><?php printf( esc_html__( 'From (%s)', 'ova-brw' ), $price_by ); ?></th>
				<th><?php printf( esc_html__( 'To (%s)', 'ova-brw' ), $price_by ); ?></th>
				<th><?php printf( esc_html__( 'Price (%s)', 'ova-brw' ), get_woocommerce_currency_symbol() ); ?></th>
				<th></th>
			</tr>
		</thead>
		<tbody class="wrap_rt_discount_distance">
			<?php 
			if ( ! empty( $discount_distance_from ) && ! empty( $discount_distance_to ) && ! empty( $discount_distance_price ) ):
				foreach ( $discount_distance_price as $i => $price ):
					$from 	= isset( $discount_distance_from[$i] ) ? $discount_distance_from[$i] : '';
					$to 	= isset( $discount_distance_to[$i] ) ? $discount_distance_to[$i] : '';
			?>
				<tr class="tr_rt_discount_distance">
				    <td width="30%">
				      	<input
				      		type="text"
				      		name="<?php echo esc_attr( $this->get_name( 'discount_distance_from[]' ) ); ?>"
					      	value="<?php echo esc_attr( $from ); ?>"
					      	placeholder="<?php esc_attr_e( 'Number', 'ova-brw' ); ?>"
					      	autocomplete="off"
					    />
				    </td>
				    <td width="30%">
				      	<input
				      		type="text"
				      		name="<?php echo esc_attr( $this->get_name( 'discount_distance_to[]' ) ); ?>"
				      		value="<?php echo esc_attr( $to ); ?>"
				      		placeholder="<?php esc_attr_e( 'Number', 'ova-brw' ); ?>"
				      		autocomplete="off"
				      	/>
				    </td>
				    <td width="30%" class="ovabrw-input-price">
				      	<input
				      		type="text"
				      		class="wc_input_price"
				      		name="<?php echo esc_attr( $this->get_name( 'discount_distance_price[]' ) ); ?>"
				      		value="<?php echo wc_format_localized_price( $price ); ?>"
				      		placeholder="<?php esc_attr_e( 'Number', 'ova-brw' ); ?>"
				      		autocomplete="off"
				      	/>
				    </td>
				    <td width="1%"><button class="button ovabrw-remove-discount-distance">x</button></td>
				</tr>
			<?php endforeach; endif; ?>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="6">
					<button class="button ovabrw-add-discount-distance" data-add-new="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-discount-distance-field.php' );
						echo esc_attr( ob_get_clean() );
					?>">
						<?php esc_html_e( 'Add Discount', 'ova-brw' ); ?>
					</button>
				</th>
			</tr>
		</tfoot>
	</table>
</div>