<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<!-- Before advanced settings -->
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Advanced options', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw_rent_time_min_wrap">
			<?php
				// Disable Week Days
				woocommerce_wp_text_input( array(
					'id' 			=> $this->get_name('product_disable_week_day'),
					'class' 		=> 'short',
					'label' 		=> esc_html__( 'Disable Weekdays', 'ova-brw' ),
					'placeholder' 	=> esc_html__( '0,6', 'ova-brw' ),
					'value' 		=> $this->get_value( 'product_disable_week_day' ),
					'type' 			=> 'text',
					'desc_tip' 		=> 'true',
					'description' 	=> esc_html__( '0: Sunday, 1: Monday, 2: Tuesday, 3: Wednesday, 4: Thursday, 5: Friday, 6: Saturday . Example: 0,6', 'ova-brw' )
				));

				if ( in_array( $this->type, [ 'day', 'hotel' ] ) ) {
					// Rent Day max
					woocommerce_wp_text_input( array(
					    'id'            => $this->get_name('rent_day_max'),
					    'class'         => 'short ',
					    'label'         => esc_html__( 'Max Rental Dates', 'ova-brw' ),
					    'placeholder'   => esc_html__( '1', 'ova-brw' ),
					    'desc_tip'      => 'true',
					    'type'          => 'text',
					    'value' 		=> $this->get_value('rent_day_max')
					));

					// Rent Day min
					woocommerce_wp_text_input( array(
					    'id'            => $this->get_name('rent_day_min'),
					    'class'         => 'short ',
					    'label'         => esc_html__( 'Min Rental Dates', 'ova-brw' ),
					    'placeholder'   => esc_html__( '1', 'ova-brw' ),
					    'desc_tip'      => 'true',
					    'type'          => 'text',
					    'value' 		=> $this->get_value('rent_day_min')
					));
				} elseif ( $this->type === 'hour' || $this->type === 'mixed' ) {
					// Rent Hour max
					woocommerce_wp_text_input( array(
					    'id'            => $this->get_name('rent_hour_max'),
					    'class'         => 'short ',
					    'label'         => esc_html__( 'Max Rental Hours', 'ova-brw' ),
					    'placeholder'   => esc_html__( '1', 'ova-brw' ),
					    'desc_tip'      => 'true',
					    'type'          => 'text',
					    'value' 		=> $this->get_value('rent_hour_max')
					));

					// Rent Hour min
					woocommerce_wp_text_input( array(
					    'id'            => $this->get_name('rent_hour_min'),
					    'class'         => 'short ',
					    'label'         => esc_html__( 'Min Rental Hours', 'ova-brw' ),
					    'placeholder'   => esc_html__( '1', 'ova-brw' ),
					    'desc_tip'      => 'true',
					    'type'          => 'text',
					    'value' 		=> $this->get_value('rent_hour_min')
					));
				}

				if ( $this->type === 'day' || $this->type === 'transportation' ) {
					woocommerce_wp_text_input( array(
						'id' 			=> $this->get_name('prepare_vehicle_day'),
						'class' 		=> 'short',
						'label' 		=> esc_html__( 'Time between 2 leases (Day)', 'ova-brw' ),
						'desc_tip' 		=> 'true',
						'description' 	=> esc_html__( 'For example: if the car is delivered on 01/01/2024, I set 1 day to prepare the car so the car is available again to book on 03/01/2024', 'ova-brw' ),
						'placeholder' 	=> '0',
						'type' 			=> 'number',
						'value' 		=> $this->get_value( 'prepare_vehicle_day' )
					));
				} elseif ( $this->type === 'hour' || $this->type === 'mixed' || $this->type === 'period_time' || $this->type === 'taxi' ) {
					woocommerce_wp_text_input( array(
						'id' 			=> $this->get_name('prepare_vehicle'),
						'class' 		=> 'short',
						'label' 		=> esc_html__( 'Time between 2 leases (Minutes)', 'ova-brw' ),
						'desc_tip' 		=> 'true',
						'description' 	=> esc_html__( 'For example: if the car is delivered at 9:00, I set 60 minutes to prepare the car so the car is available again to book at 10:00', 'ova-brw' ),
						'placeholder' 	=> '60',
						'type' 			=> 'number',
						'value' 		=> $this->get_value('prepare_vehicle')
					));
				}

				woocommerce_wp_text_input( array(
					'id' 			=> $this->get_name('preparation_time'),
					'class' 		=> 'short',
					'label' 		=> esc_html__( 'Preparation Time', 'ova-brw' ),
					'desc_tip' 		=> 'true',
					'description' 	=> esc_html__( 'Book in advance X days from the current date', 'ova-brw' ),
					'placeholder' 	=> esc_html__( 'Number of days', 'ova-brw' ),
					'type' 			=> 'number',
					'value' 		=> $this->get_value( 'preparation_time' ),
					'custom_attributes' => [
						'min' => 0
					]
				));
			?>
		</div>
		<div class="ovabrw-form-field">
			<strong class="ovabrw_heading_section"><?php esc_html_e( 'Extra Tab (shortcode)', 'ova-brw' ); ?></strong>
			<?php 
				woocommerce_wp_select( array(
					'id' 			=> $this->get_name( 'manage_extra_tab' ),
					'label' 		=> esc_html__( 'Extra Tab (shortcode)', 'ova-brw' ),
					'placeholder' 	=> '',
					'options' 		=> array(
						'in_setting' 	=> esc_html__( 'Default', 'ova-brw' ),
						'new_form' 		=> esc_html__( 'New Form', 'ova-brw' ),
						'no' 			=> esc_html__( 'No', 'ova-brw' ),
					),
					'value' 		=> $this->get_value( 'manage_extra_tab', 'in_setting' )
			   	));
			?>
			<?php
				woocommerce_wp_textarea_input( array(
			        'id' 			=> $this->get_name('extra_tab_shortcode'),
			        'placeholder' 	=> esc_html__( '[contact-form-7 id="205" title="Contact form 1"]', 'ova-brw' ),
			        'label' 		=> esc_html__('Shortcode', 'ova-brw')
				));
			?>
		</div>