<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$extra_time_hour 	= $this->get_value( 'extra_time_hour' );
	$extra_time_label 	= $this->get_value( 'extra_time_label' );
	$extra_time_price 	= $this->get_value( 'extra_time_price' );
?>
<div class="ovabrw_rt_extra_time">
	<table class="widefat">
		<thead>
			<tr>
				<th><?php esc_html_e( 'Time (hour)', 'ova-brw' ); ?></th>
				<th><?php esc_html_e( 'Label', 'ova-brw' ); ?></th>
				<th><?php printf( esc_html__( 'Price (%s)', 'ova-brw' ), get_woocommerce_currency_symbol() ); ?></th>
				<th></th>
			</tr>
		</thead>
		<tbody class="wrap_rt_extra_time">
			<?php 
			if ( ! empty( $extra_time_hour ) && ! empty( $extra_time_hour ) ):
				foreach ( $extra_time_hour as $i => $time ):
					$label = isset( $extra_time_label[$i] ) ? $extra_time_label[$i] : '';
					$price = isset( $extra_time_price[$i] ) ? $extra_time_price[$i] : '';
			?>
				<tr class="tr_rt_extra_time">
				    <td width="20%">
				      	<input
				      		type="text"
				      		name="<?php echo esc_attr( $this->get_name( 'extra_time_hour[]' ) ); ?>"
					      	value="<?php echo esc_attr( $time ); ?>"
					      	placeholder="<?php esc_attr_e( 'Number', 'ova-brw' ); ?>"
					      	autocomplete="off"
					    />
				    </td>
				    <td width="20%">
				      	<input
				      		type="text"
				      		name="<?php echo esc_attr( $this->get_name( 'extra_time_label[]' ) ); ?>"
				      		value="<?php echo esc_attr( $label ); ?>"
				      		placeholder="<?php esc_attr_e( 'Text', 'ova-brw' ); ?>"
				      		autocomplete="off"
				      	/>
				    </td>
				    <td width="20%" class="ovabrw-input-price">
				      	<input
				      		type="text"
				      		class="wc_input_price"
				      		name="<?php echo esc_attr( $this->get_name( 'extra_time_price[]' ) ); ?>"
				      		value="<?php echo wc_format_localized_price( $price ); ?>"
				      		placeholder="<?php esc_attr_e( 'Number', 'ova-brw' ); ?>"
				      		autocomplete="off"
				      	/>
				    </td>
				    <td width="1%"><button href="#" class="button ovabrw-remove-extra-time">x</button></td>
				</tr>
			<?php endforeach; endif; ?>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="6">
					<button class="button ovabrw-add-extra-time" data-add-new="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-extra-time-field.php' );
						echo esc_attr( ob_get_clean() );
					?>">
						<?php esc_html_e( 'Add Time', 'ova-brw' ); ?></a>
					</button>
				</th>
			</tr>
		</tfoot>
	</table>
</div>