<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$features_label = $this->get_value( 'features_label', '' );
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Features', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_features_wrap">
			<table class="widefat">
				<thead>
					<tr>
						<?php if ( apply_filters( 'ovabrw_show_icon_features', 'true' ) ): ?>
							<th><?php esc_html_e( 'Icon Class', 'ova-brw' ); ?></th>
						<?php endif; ?>
						<th><?php esc_html_e( 'Label', 'ova-brw' ); ?></th>
						<th><?php esc_html_e( 'Description', 'ova-brw' ); ?></th>
						<th><?php esc_html_e( 'Feature', 'ova-brw' ); ?></th>
						<th><?php esc_html_e( 'Special', 'ova-brw' ); ?></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<?php if ( ! empty( $features_label ) && is_array( $features_label ) ):
						$features_icons 	= $this->get_value( 'features_icons', '' );
						$features_desc 		= $this->get_value( 'features_desc', '' );
						$features_special 	= $this->get_value( 'features_special' );
						$features_featured 	= $this->get_value( 'features_featured', '' );

						foreach ( $features_label as $i => $label ):
							$icon 		= isset( $features_icons[$i] ) ? $features_icons[$i] : '';
							$desc 		= isset( $features_desc[$i] ) ? $features_desc[$i] : '';
							$special 	= isset( $features_special[$i] ) ? $features_special[$i] : '';
							$featured 	= isset( $features_featured[$i] ) ? $features_featured[$i] : '';
					?>
						<tr class="tr_rt_feature">
							<?php if ( apply_filters( 'ovabrw_show_icon_features', 'true' ) ): ?>
						    <td width="30%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'features_icons[]' ) ); ?>"
						      		value="<?php echo esc_attr( $icon ); ?>"
						      		placeholder="<?php esc_html_e( 'Icon-Class', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <?php endif; ?>
						    <td width="20%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'features_label[]' ) ); ?>"
						      		value="<?php echo esc_attr( $label ); ?>"
						      		placeholder="<?php esc_html_e( 'Label', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="<?php echo apply_filters( 'ovabrw_show_icon_features', 'true' ) ? esc_attr( '29%' ) : esc_attr( '59%' ); ?>">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'features_desc[]' ) ); ?>"
						      		value="<?php echo esc_attr( $desc ); ?>"
						      		placeholder="<?php esc_html_e( 'Description', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="10%">
						      	<select name="<?php echo esc_attr( $this->get_name( 'features_special[]' ) ); ?>" class="short_dura">
						    		<option value="yes"<?php selected( $special, 'yes' ); ?>>
						    			<?php esc_html_e( 'Yes', 'ova-brw' ); ?>
						    		</option>
						    		<option value="no"<?php selected( $special, 'no' ); ?>>
						    			<?php esc_html_e( 'No', 'ova-brw' ); ?>
						    		</option>
						    	</select>
						    </td>
						    <td width="10%">
						      	<select name="<?php echo esc_attr( $this->get_name( 'features_featured[]' ) ); ?>" class="short_dura">
						    		<option value="yes"<?php selected( $featured, 'yes' ); ?>>
						    			<?php esc_html_e( 'Yes', 'ova-brw' ); ?>
						    		</option>
						    		<option value="no"<?php selected( $featured, 'no' ); ?>>
						    			<?php esc_html_e( 'No', 'ova-brw' ); ?>
						    		</option>
						    	</select>
						    </td>
					    	<td width="1%"><button class="button ovabrw-remove-feature">x</button></td>
						</tr>
					<?php endforeach; endif; ?>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="6">
							<button class="button ovabrw-add-feature" data-add-new="<?php
								ob_start();
								include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-feature-field.php' );
								echo esc_attr( ob_get_clean() );
							?>">
								<?php esc_html_e( 'Add Feature', 'ova-brw' ); ?>
							</button>
						</th>
					</tr>
				</tfoot>
			</table>
		</div>
	</div>
</div>