<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$gd_price = $this->get_value( 'global_discount_price', '' );
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Global Discount (GD)', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_global_discount_wrap">
			<div class="ovabrw_global_discount">
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Duration (Min Max): Number', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<?php if ( ! empty( $gd_price ) && is_array( $gd_price ) ):
							$gd_min 		= $this->get_value( 'global_discount_duration_val_min', '' );
							$gd_max 		= $this->get_value( 'global_discount_duration_val_max', '' );
							$gd_duration 	= $this->get_value( 'global_discount_duration_type', '' );

							foreach ( $gd_price as $i => $price ):
								$min 		= isset( $gd_min[$i] ) ? $gd_min[$i] : '';
								$max 		= isset( $gd_max[$i] ) ? $gd_max[$i] : '';
								$duration 	= isset( $gd_duration[$i] ) ? $gd_duration[$i] : '';
						?>
							<tr class="row_discount">
							    <td width="40%" class="ovabrw-input-price">
							        <input
							        	type="text"
							        	name="<?php echo esc_attr( $this->get_name( 'global_discount_price[]' ) ); ?>"
							        	class="wc_input_price input_text"
							        	value="<?php echo wc_format_localized_price( $price ); ?>"
							        	placeholder="<?php esc_html_e( '10.5', 'ova-brw' ); ?>"
							        	autocomplete="off"
							        />
							    </td>
							    <td width="59%">
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'global_discount_duration_val_min[]' ) ); ?>"
								    	class="input_text ovabrw-global-duration short"
								    	value="<?php echo esc_attr( $min ); ?>"
								    	placeholder="<?php esc_html_e('1', 'ova-brw'); ?>"
								    	autocomplete="off"
								    />
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'global_discount_duration_val_max[]' ) ); ?>"
								    	class="input_text ovabrw-global-duration short"
								    	value="<?php echo esc_attr( $max ); ?>"
								    	placeholder="<?php esc_html_e('2', 'ova-brw'); ?>"
								    	autocomplete="off"
								    />
								    <select name="<?php echo esc_attr( $this->get_name( 'global_discount_duration_type[]' ) ); ?>" class="short ovabrw-global-duration">
								    	<?php if ( in_array( $this->type, [ 'day', 'mixed', 'hotel' ] ) ): ?>
									    	<option value="days"<?php selected( $duration, 'days' ); ?>>
									    		<?php esc_html_e('Day(s)', 'ova-brw'); ?>
									    	</option>
								    	<?php endif; ?>
								    	<?php if ( in_array( $this->type, [ 'hour', 'mixed' ] ) ): ?>
									    	<option value="hours"<?php selected( $duration, 'hours' ); ?>>
									    		<?php esc_html_e('Hour(s)', 'ova-brw'); ?>
									    	</option>
								    	<?php endif; ?>
								    </select>
							    </td>
							    <td width="1%"><button class="button ovabrw-remove-gb-discount">x</button></td>
							</tr>
						<?php endforeach; endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-gb-discount" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-global-discount-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add GD', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>