<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Inventory', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
	<?php
		if ( $this->type === 'hotel' ) {
			woocommerce_wp_select( array(
				'id' 			=> $this->get_name('manage_store'),
				'label' 		=> esc_html__( 'Manage Store', 'ova-brw' ),
				'placeholder' 	=> '',
				'options' 		=> array(
					'store' 	=> esc_html__( 'Automatic', 'ova-brw' ),
				),
				'value' 		=> $this->get_value( 'manage_store', 'store' )
			));
		} else {
			woocommerce_wp_select( array(
				'id' 			=> $this->get_name('manage_store'),
				'label' 		=> esc_html__( 'Manage Store', 'ova-brw' ),
				'placeholder' 	=> '',
				'options' 		=> array(
					'store'			=> esc_html__( 'Automatic', 'ova-brw' ),
					'id_vehicle' 	=> esc_html__( 'Manual', 'ova-brw' ),
				),
				'value' 		=> $this->get_value( 'manage_store', 'store' )
			));
		}

		// Stock Quantity
		woocommerce_wp_text_input( array(
			'id' 				=> $this->get_name('car_count'),
			'class' 			=> 'short',
			'label' 			=> esc_html__( 'Stock Quantity', 'ova-brw' ),
			'placeholder' 		=> '10',
			'type' 				=> 'number',
			'value' 			=> $this->get_value( 'car_count' ) ? $this->get_value( 'car_count' ) : 1,
			'custom_attributes' => array(
				'min' => 1
			)
		));

		// Vihicle IDs
		$vehicle_ids 	= $this->get_value( 'id_vehicles', '' );
		$data_vehicle 	= OVABRW_Get_Data::instance()->get_data_vehicles();

		woocommerce_wp_select( array(
			'id' 				=> $this->get_name('id_vehicles[]'),
			'wrapper_class' 	=> 'ovabrw-form-field ovabrw_id_vehicle_wrap',
			'label' 			=> esc_html__( 'Choose Vehicles', 'ova-brw' ),
			'desc_tip'    		=> 'true',
			'options' 			=> $data_vehicle,
			'description' 		=> esc_html__( 'You must select at least one vehicle. If you want to add a Vehicle, you need to go to: Manage Vehicle >> Add Vehicles', 'ova-brw' ),
			'value' 			=> $this->get_value( 'id_vehicles' ),
			'custom_attributes' => array( 'multiple' => 'multiple' )
		));
	?>
	</div>
</div>