<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$locations = OVABRW_Get_Data::instance()->get_data_location();

	if ( empty( $locations ) && ! is_array( $locations ) ) $locations = [];
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Location Price', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_local_price_wrap">
			<div class="ovabrw_local_price">
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'Pick-up Location', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Drop-off Location', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Time(minute)', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_resources">
					<?php if ( ! empty( $locations ) && is_array( $locations ) ):
						$pickup_locations 	= $this->get_value( 'pickup_location' );
						$dropoff_locations 	= $this->get_value( 'dropoff_location' );
						$location_prices 	= $this->get_value( 'price_location' );
						$location_times 	= $this->get_value( 'location_time' );
					?>
						<?php if ( ! empty( $pickup_locations ) && ! empty( $dropoff_locations ) ): ?>
							<?php foreach ( $pickup_locations as $i => $pickup_location ):
								$dropoff_location 	= isset( $dropoff_locations[$i] ) ? $dropoff_locations[$i] : '';
								$location_price 	= isset( $location_prices[$i] ) ? floatval( $location_prices[$i] ) : '';
								$location_time 		= isset( $location_times[$i] ) ? $location_times[$i] : '';
							?>
								<tr class="tr_rt_local_price">
								    <td width="30%">
								      	<select name="<?php echo esc_attr( $this->get_name('pickup_location[]') ); ?>">
								      		<option value="">
								      			<?php echo esc_html__( 'Select Location', 'ova-brw' ); ?>
								      		</option>
											<?php foreach ( $locations as $location ): ?>
												<option value="<?php echo esc_attr( $location ); ?>"<?php selected( $location, $pickup_location ); ?>>
													<?php echo esc_html( $location ); ?>
												</option>
											<?php endforeach; ?>
									    </select>
								    </td>
								    <td width="30%">
								      <select name="ovabrw_dropoff_location[]">
								      		<option value="">
								      			<?php echo esc_html__( 'Select Location', 'ova-brw' ); ?>
								      		</option>
											<?php foreach ( $locations as $location ): ?>
												<option value="<?php echo esc_attr( $location ); ?>"<?php selected( $location, $dropoff_location ); ?>>
													<?php echo esc_html( $location ); ?>
												</option>
											<?php endforeach; ?>
									    </select>
								    </td>
								    <td width="20%" class="ovabrw-input-price">
								    	<input
								    		type="text"
								    		class="wc_input_price"
								    		name="<?php echo esc_attr( $this->get_name('price_location[]') ); ?>"
								    		value="<?php echo wc_format_localized_price( $location_price ); ?>"
								    		placeholder="<?php esc_html_e( '10', 'ova-brw' ); ?>"
								    		autocomplete="off"
								    	/>
								    </td>
								    <td width="19%">
								    	<input 
								    		type="text" 
								    		name="<?php echo esc_attr( $this->get_name('location_time[]') ); ?>" 
								    		value="<?php echo esc_attr( $location_time ); ?>"
								    		placeholder="<?php esc_html_e( '60', 'ova-brw' ); ?>"
								    		autocomplete="off"
								    	/>
								    </td>
								    <td width="1%"><button class="button ovabrw-remove-location-price">x</button></td>
								</tr>
							<?php endforeach; ?>
						<?php endif; ?>
					<?php endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-location-price" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-location-price-field.php' );
									echo esc_attr(ob_get_clean());
								?>">
									<?php esc_html_e( 'Add Location Price', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>