<?php if ( ! defined( 'ABSPATH' ) ) exit();
	$map_price_by 	= $this->get_value( 'map_price_by', 'km' );
	$waypoint 		= $this->get_value( 'waypoint', 'on' );
	$max_waypoint 	= $this->get_value( 'max_waypoint' );
?>
<!-- Locations -->
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Locations', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_taxi_map">
			<div class="ovabrw-taxi-setup">
				<?php
					$max_seats = $this->get_value( 'max_seats' );
				 	woocommerce_wp_text_input(
				  		array(
							'id' 			=> $this->get_name( 'max_seats' ),
							'class' 		=> 'short ',
							'label' 		=> esc_html__( 'Max number of Seats', 'ova-brw' ),
							'placeholder' 	=> '4',
							'type' 			=> 'number',
							'value' 		=> $max_seats,
							'desc_tip' 		=> 'true',
							'description' 	=> esc_html__( 'Use for search form', 'ova-brw' ),
				   	));
				?>
				<!-- Types -->
				<p class="form-field ovabrw_map_price_by_field">
					<label for="ovabrw_map_price_by">
						<?php esc_html_e( 'Price by per', 'ova-brw' ); ?>
					</label>
					<span class="map-price-by">
						<span class="map-price-by-input">
							<input
								type="radio"
								id="map-price-km"
								name="<?php echo esc_attr( $this->get_name('map_price_by') ); ?>"
								value="km"
								<?php checked( $map_price_by, 'km' ); ?>
							/>
							<label class="label" for="map-price-km">
								<?php esc_html_e( 'km', 'ova-brw' ); ?>
							</label>
						</span>
						<span class="map-price-by-input">
							<input
								type="radio"
								id="map-price-mi"
								name="<?php echo esc_attr( $this->get_name('map_price_by') ); ?>"
								value="mi"
								<?php checked( $map_price_by, 'mi' ); ?>
							/>
							<label class="label" for="map-price-mi">
								<?php esc_html_e( 'mi', 'ova-brw' ); ?>
							</label>
						</span>
					</span>
				</p>
				<p class="form-field ovabrw_waypoint_field ">
					<label for="ovabrw_waypoint">
						<?php esc_html_e( 'Waypoints', 'ova-brw' ); ?>
					</label>
					<input 
						type="checkbox"
						name="<?php echo esc_attr( $this->get_name('waypoint') ); ?>"
						id="ovabrw_waypoint"
						<?php checked( $waypoint, 'on' ); ?>
					>
					<span class="max_waypoint">
						<span class="label"><?php esc_html_e( 'Max Waypoint' ); ?></span>
						<input
							type="number"
							name="<?php echo esc_attr( $this->get_name('max_waypoint') ); ?>"
							value="<?php echo esc_attr( $max_waypoint ); ?>"
							placeholder="0"
							autocomplete="off"
						/>
					</span>
				</p>
				<?php
					$ovabrw_zoom_map = $this->get_value( 'zoom_map', 4 );
				 	woocommerce_wp_text_input(
				  		array(
							'id' 			=> $this->get_name( 'zoom_map' ),
							'class' 		=> 'short ',
							'label' 		=> esc_html__( 'Zoom Map', 'ova-brw' ),
							'placeholder' 	=> '4',
							'type' 			=> 'number',
							'value' 		=> $ovabrw_zoom_map,
				   	));
				?>

				<!-- Types -->
				<?php
					$ovabrw_map_types = $this->get_value( 'map_types' );

					if ( ! $ovabrw_map_types ) $ovabrw_map_types = [ 'geocode' ];
				?>
				<p class="form-field ovabrw_map_types_field ">
					<label for="ovabrw_map_types">
						<?php esc_html_e( 'Types', 'ova-brw' ); ?>
					</label>
					<span class="map-types">
						<span class="map-type-input">
							<input
								type="radio"
								id="map-geocode"
								name="<?php echo esc_attr( $this->get_name( 'map_types[]' ) ); ?>"
								value="geocode"
								<?php echo in_array( 'geocode', $ovabrw_map_types ) ? 'checked' : ''; ?>
							/>
							<label class="label" for="map-geocode">
								<?php esc_html_e( 'Geocode', 'ova-brw' ); ?>
							</label>
						</span>
						<span class="map-type-input">
							<input
								type="radio"
								id="map-address"
								name="<?php echo esc_attr( $this->get_name( 'map_types[]' ) ); ?>"
								value="address"
								<?php echo in_array( 'address', $ovabrw_map_types ) ? 'checked' : ''; ?>
							/>
							<label class="label" for="map-address">
								<?php esc_html_e( 'Address', 'ova-brw' ); ?>
							</label>
						</span>
						<span class="map-type-input">
							<input
								type="radio"
								id="map-establishment"
								name="<?php echo esc_attr( $this->get_name( 'map_types[]' ) ); ?>"
								value="establishment"
								<?php echo in_array( 'establishment', $ovabrw_map_types ) ? 'checked' : ''; ?>
							/>
							<label class="label" for="map-establishment">
								<?php esc_html_e( 'Establishment', 'ova-brw' ); ?>
							</label>
						</span>
					</span>
				</p>
				<?php
					$ovabrw_bounds 	= $this->get_value( 'bounds' );
					$bounds_lat 	= $this->get_value( 'bounds_lat' );
					$bounds_lng 	= $this->get_value( 'bounds_lng' );
					$bounds_radius 	= $this->get_value( 'bounds_radius' );
				?>
				<p class="form-field ovabrw_bounds_field ">
					<label for="ovabrw_bounds">
						<?php esc_html_e( 'Bounds', 'ova-brw' ); ?>
					</label>
					<input 
						type="checkbox"
						name="<?php echo esc_attr( $this->get_name( 'bounds' ) ); ?>"
						id="ovabrw_bounds"
						<?php checked( $ovabrw_bounds, 'on' ); ?>
					>
					<span class="coordinates">
						<span class="bounds-lat">
							<span class="label"><?php esc_html_e( 'Latitude', 'ova-brw' ); ?></span>
							<input
								type="text"
								name="<?php echo esc_attr( $this->get_name( 'bounds_lat' ) ); ?>"
								value="<?php echo esc_attr( $bounds_lat ); ?>"
								autocomplete="off"
							/>
						</span>
						<span class="bounds-lng">
							<span class="label"><?php esc_html_e( 'Longitude', 'ova-brw' ); ?></span>
							<input
								type="text"
								name="<?php echo esc_attr( $this->get_name( 'bounds_lng' ) ); ?>"
								value="<?php echo esc_attr( $bounds_lng ); ?>"
								autocomplete="off"
							/>
						</span>
						<span class="bounds-radius">
							<span class="label"><?php esc_html_e( 'Radius(meters)', 'ova-brw' ); ?></span>
							<input
								type="text"
								name="<?php echo esc_attr( $this->get_name( 'bounds_radius' ) ); ?>"
								value="<?php echo esc_attr( $bounds_radius ); ?>"
								autocomplete="off"
							/>
						</span>
					</span>
				</p>

				<!-- Component Restrictions -->
				<?php
					$countries 		= ovabrw_iso_alpha2();
					$restrictions 	= $this->get_value( 'restrictions' );
				?>
				<p class="form-field ovabrw_restrictions_field ">
					<label for="ovabrw_restrictions">
						<?php esc_html_e( 'Restrictions', 'ova-brw' ); ?>
					</label>
					<select name="<?php echo esc_attr( $this->get_name( 'restrictions[]' ) ); ?>" id="ovabrw_restrictions" data-placeholder="<?php esc_html_e( 'Select country', 'ova-brw' ); ?>" multiple>
						<?php foreach ( $countries as $country_code => $country_name ):
							$selected = '';

							if ( ! empty( $restrictions ) && in_array( $country_code, $restrictions ) ) {
								$selected = ' selected';
							}
						?>
							<option value="<?php echo esc_attr( $country_code ); ?>"<?php echo esc_attr( $selected ); ?>>
								<?php echo esc_html( $country_name ); ?>
							</option>
						<?php endforeach; ?>
					</select>
				</p>
			</div>
		</div>
	</div>
</div>
<!-- End Locations -->
<!-- Extra Time -->
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Extra Time', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_extra_time">
			<?php include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-extra-time.php' ); ?>
		</div>
	</div>
</div>
<!-- End Extra Time -->
<!-- Discount by Distance -->
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Discount by Distance', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_discount_distance">
			<?php include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-discount-distance.php' ); ?>
		</div>
	</div>
</div>
<!-- End Discount by Distance -->
<!-- Special Time by Distance -->
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Special Time', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_st_distance">
			<?php include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-special-time-distance.php' ); ?>
		</div>
	</div>
</div>
<!-- End Special Time by Distance -->