<?php defined( 'ABSPATH' ) || exit();

$vehicle_id  		= get_post_meta( get_the_id(), 'ovabrw_id_vehicle', true );
$require_location 	= get_post_meta( get_the_id(), 'ovabrw_vehicle_require_location', true );
$vehicle_location 	= get_post_meta( get_the_id(), 'ovabrw_id_vehicle_location', true );
$vehicle_untime  	= get_post_meta( get_the_id(), 'ovabrw_id_vehicle_untime_from_day', true );
$date_format        = ovabrw_get_date_format();
$set_time_format    = ovabrw_get_time_format_php();
$placeholder_date   = ovabrw_get_placeholder_date();
$placeholder_time   = ovabrw_get_placeholder_time();

// Unavailable time
$start_date = $end_date = '';

if ( ! empty( $vehicle_untime ) && is_array( $vehicle_untime ) ) {
	$start_date = isset( $vehicle_untime['startdate'] ) ? $vehicle_untime['startdate'] : '';
	$end_date 	= isset( $vehicle_untime['enddate'] ) ? $vehicle_untime['enddate'] : '';
}

if ( $start_date != '' ) {
    $start_date = date( $date_format . ' '.$set_time_format, strtotime( $start_date ) );
}

if ( $end_date != '' ) {
    $end_date = date( $date_format . ' '.$set_time_format, strtotime( $end_date ) );
}

if ( class_exists('OVABRW') && class_exists('woocommerce') ) {
    $locations = OVABRW_Get_Data::instance()->get_data_location();
} else {
    $locations = array();
}

?>
<div>
    <div class="ovabrw-row">
        <label for="ovabrw-id_vehicle">
            <?php esc_html_e( 'Id Vehicle (Unique)', 'ova-brw' ); ?>
        </label>
        <input
        	type="text"
        	name="ovabrw_id_vehicle"
            id="ovabrw-id_vehicle"
            value="<?php echo esc_attr( $vehicle_id ); ?>"
            placeholder="<?php esc_attr_e( 'Id Vehicle', 'ova-brw' ); ?>"
		/>
    </div>
    <div class="ovabrw-row require_location">
        <label for="ovabrw-require_location">
            <?php esc_html_e( 'Require Location', 'ova-brw' ); ?>
        </label>
        <label class="label_radio" for="ovabrw_loc_yes">
            <?php esc_html_e('Yes', 'ova-brw'); ?>
        </label>
        <input
            type="radio"
            name="ovabrw_vehicle_require_location"
            id="ovabrw_loc_yes"
            value="yes"
            <?php checked( $require_location, 'yes' ); ?>
        />
        <label class="label_radio" for="ovabrw_loc_no">
            <?php esc_html_e('No', 'ova-brw'); ?>
        </label>
        <input
            type="radio"
            name="ovabrw_vehicle_require_location"
            id="ovabrw_loc_no"
            value="no"
            <?php checked( $require_location, 'no' ); ?>
        />
    </div>
    <div class="ovabrw-row location_vehicle">
        <label class="loc" for="ovabrw-location">
            <?php esc_html_e( 'Vehicle location', 'ova-brw' ); ?>
        </label>
        <select name="ovabrw_id_vehicle_location" id="ovabrw-location">
            <?php foreach ( $locations as $location ): ?>
                <option value="<?php echo esc_attr( $location ); ?>"<?php selected( $location, $vehicle_location ); ?>>
                    <?php echo esc_html( $location ); ?>
                </option>
            <?php endforeach ?>
        </select>
    </div>
    <div class="ovabrw-row">
        <label for="ovabrw-unavailable">
            <?php esc_html_e( 'Unavailable Time', 'ova-brw' ); ?>
        </label>
        <span class="from">
            <?php esc_html_e( 'From: ', 'ova-brw' ); ?>
        </span>
        <input
        	type="text"
        	name="ovabrw_id_vehicle_untime_from_day[startdate]"
            class="unavailable_time start_date"
            value="<?php echo esc_attr( $start_date ); ?>"
            placeholder="<?php echo esc_attr( $placeholder_date.' '.$placeholder_time ); ?>"
        />
        <span class="to">
            <?php esc_html_e( 'To: ', 'ova-brw' ); ?>
        </span>
        <input
        	type="text"
        	name="ovabrw_id_vehicle_untime_from_day[enddate]"
            class="unavailable_time end_date"
            value="<?php echo esc_attr( $end_date ); ?>" 
            placeholder="<?php echo esc_attr( $placeholder_date.' '.$placeholder_time ); ?>"
        />
    </div>
</div>