<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$package_ids = $this->get_value('petime_id');
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Packages', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field price_period_time">
			<div class="ovabrw_petime">
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'ID*', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Price*', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Package Type*', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Package*', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Discount', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_petime">
					<?php if ( ! empty( $package_ids ) && is_array( $package_ids ) ):
						$package_prices 	= $this->get_value('petime_price');
						$package_types 		= $this->get_value('package_type');
						$package_days 		= $this->get_value('petime_days');
						$package_hours 		= $this->get_value('pehour_unfixed');
						$package_start_time = $this->get_value('pehour_start_time');
						$package_end_time 	= $this->get_value('pehour_end_time');
						$package_labels 	= $this->get_value('petime_label');
						$package_discounts 	= $this->get_value('petime_discount');

						// Date & Time format
						$time_format = ovabrw_get_time_format();
						$date_format = ovabrw_get_date_format();

						foreach ( $package_ids as $i => $id ):
							$price 		= isset( $package_prices[$i] ) ? floatval( $package_prices[$i] ) : '';
							$type 		= isset( $package_types[$i] ) ? $package_types[$i] : '';
							$day 		= isset( $package_days[$i] ) ? $package_days[$i] : '';
							$hour 		= isset( $package_hours[$i] ) ? $package_hours[$i] : '';
							$start_time = isset( $package_start_time[$i] ) ? $package_start_time[$i] : '';
							$end_time 	= isset( $package_end_time[$i] ) ? $package_end_time[$i] : '';
							$label 		= isset( $package_labels[$i] ) ? $package_labels[$i] : '';
							$discount 	= isset( $package_discounts[$i] ) ? $package_discounts[$i] : '';
					?>
						<tr class="row_petime_record" data-index="<?php echo esc_attr( $i ); ?>">
							<td width="10%">
						        <input
						        	type="text"
						        	name="<?php echo esc_attr( $this->get_name('petime_id[]') ); ?>"
						        	class="ovabrw_petime_id"
						        	value="<?php echo esc_attr( $id ); ?>"
						        	placeholder="<?php esc_html_e( 'Not space', 'ova-brw' ); ?>"
						        	autocomplete="off"
						        />
						    </td>
						    <td width="10%" class="ovabrw-input-price">
						        <input
						        	type="text"
						        	name="<?php echo esc_attr( $this->get_name('petime_price[]') ); ?>"
						        	class="short wc_input_price ovabrw_petime_price"
						        	value="<?php echo wc_format_localized_price( $price ); ?>"
						        	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
						        	autocomplete="off"
						        />
						    </td>
						    <td width="25%">
						    	<div class="clearfix">
						    		<select name="<?php echo esc_attr( $this->get_name('package_type[]') ); ?>" class="ovabrw_package_type">
						    			<option value="inday"<?php selected( $type, 'inday' ); ?>>
						    				<?php esc_html_e( 'Period of Fixed Hours in day', 'ova-brw' ); ?>
						    			</option>
						    			<option value="other"<?php selected( $type, 'other' ); ?>>
						    				<?php esc_html_e( 'Period of Fixed Days', 'ova-brw' ); ?>
						    			</option>
						    		</select>
						    	</div>
						        <input
						        	type="number"
						        	name="<?php echo esc_attr( $this->get_name('petime_days[]') ); ?>"
						        	class="ovabrw_petime_days"
						        	value="<?php echo esc_attr( $day ); ?>"
						        	placeholder="<?php esc_html_e('Total Day', 'ova-brw'); ?>"
						        	autocomplete="off"
						        />
						        <div class="period_times">
						        	<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('pehour_start_time[]') ); ?>"
						        		class="ovabrw_pehour_start_time ovabrw_pehour_picker"
						        		value="<?php echo esc_attr( $start_time ); ?>"
						        		placeholder="<?php esc_html_e('Start Hour', 'ova-brw'); ?>"
						        		data-time="<?php echo esc_attr( $time_format ); ?>"
						        		autocomplete="off"
						        	/>
						        	<input
						        	 	type="text"
						        	 	name="<?php echo esc_attr( $this->get_name('pehour_end_time[]') ); ?>"
						        	 	class="ovabrw_pehour_end_time ovabrw_pehour_picker"
						        	 	value="<?php echo esc_attr( $end_time ); ?>"
						        	 	placeholder="<?php esc_html_e('End Hour', 'ova-brw'); ?>"
						        	 	data-time="<?php echo esc_attr( $time_format ); ?>"
						        	 	autocomplete="off"
						        	 />
						        </div>
						        <div class="period_times_unfixed">
						        	<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('pehour_unfixed[]') ); ?>"
						        		value="<?php echo esc_attr( $hour ); ?>"
						        		placeholder="<?php esc_html_e('Total Hour', 'ova-crs'); ?>"
						        		autocomplete="off"
						        	/>
						        </div>
						    </td>
						    <td width="20%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name('petime_label[]') ); ?>"
						      		class="ovabrw_petime_label"
						      		value="<?php echo esc_attr( $label ); ?>"
						      		placeholder="<?php esc_html_e( 'Text', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="34%" class="ovabrw_petime_dis">
						    	<table width="100%" class="widefat ovabrw_petime_discount">
							      	<thead>
										<tr>
											<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
											<th><?php esc_html_e( 'Start Time', 'ova-brw' ); ?></th>
											<th><?php esc_html_e( 'End Time', 'ova-brw' ); ?></th>
											<th></th>
										</tr>
									</thead>
									<tbody class="real">
									<?php if ( isset( $discount['price'] ) && ! empty( $discount['price'] ) && is_array( $discount['price'] ) ):
										$set_time_format = ovabrw_get_time_format_php();

										foreach ( $discount['price'] as $k => $dsc_price ):
											$dsc_start 	= isset( $discount['start_time'][$k] ) ? $discount['start_time'][$k] : '';
											$dsc_end 	= isset( $discount['end_time'][$k] ) ? $discount['end_time'][$k] : '';
									?>
										<tr class="tr_petime_discount">				
											<td width="30%" class="ovabrw-input-price">
											    <input
											    	type="text"
											    	name="<?php echo esc_attr( $this->get_name('petime_discount['.$i.'][price][]') ); ?>"
											    	class="short wc_input_price ovabrw_petime_discount_price"
											    	value="<?php echo wc_format_localized_price( $dsc_price ); ?>"
											    	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
											    	autocomplete="off"
											    />
											</td>
											<td width="30%">
											    <input
											    	type="text"
											    	name="<?php echo esc_attr( $this->get_name('petime_discount['.$i.'][start_time][]') ); ?>"
											    	class="ovabrw_petime_discount_start_time ovabrw_start_date ovabrw_datetimepicker"
											    	value="<?php echo esc_attr( date( $date_format .' '.$set_time_format, strtotime( $dsc_start ) ) ); ?>"
											    	placeholder="<?php esc_html_e('Start Time', 'ova-brw'); ?>"
											    	data-time="<?php echo esc_attr( $time_format ); ?>"
											    	autocomplete="off"
											    />
											</td>
											<td width="30%">
											    <input
											    	type="text"
											    	name="<?php echo esc_attr( $this->get_name('petime_discount['.$i.'][end_time][]') ); ?>"
											    	class="ovabrw_petime_discount_end_time ovabrw_end_date ovabrw_datetimepicker"
											    	value="<?php echo esc_attr( date( $date_format .' '.$set_time_format, strtotime( $dsc_end ) ) ); ?>"
											    	placeholder="<?php esc_html_e('End Time', 'ova-brw'); ?>"
											    	data-time="<?php echo esc_attr( $time_format ); ?>"
											    	autocomplete="off"
											    />
											</td>
											<td width="10%"><button class="button ovabrw-remove-pt-discount">x</button></td>
										</tr>
									<?php endforeach; endif; ?>
									</tbody>
									<tfoot>
										<tr>
											<th colspan="6">
												<button class="button ovabrw-add-pt-discount">
													<?php esc_html_e( 'Add Discount', 'ova-brw' ); ?>
												</button>
											</th>
										</tr>
									</tfoot>
						      	</table>
						    </td>
						    <td width="1%"><button class="button ovabrw-remove-package">x</button></td>
						</tr>
					<?php endforeach; endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-package" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-package-field.php' );
									echo esc_attr( ob_get_clean() );
								?>" data-add-new-discount="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-package-discount-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add Package', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>