<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$res_ids = $this->get_value( 'resource_id', '' );
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Resources', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_resources_wrap">
			<div class="ovabrw_resources">
				<span style="display: block; margin-bottom: 10px;">
			        <em><?php esc_html_e( 'Quantity: maximum per booking', 'ova-brw' ) ?></em>
			    </span>
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'Unique ID *', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Name *', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Price *', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Quantity', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Duration', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_resources">
					<?php if ( ! empty( $res_ids ) && is_array( $res_ids ) ):
						$res_names 		= $this->get_value( 'resource_name', '' );
						$res_prices 	= $this->get_value( 'resource_price', '' );
						$res_quantity 	= $this->get_value( 'resource_quantity', '' );
						$res_durations 	= $this->get_value( 'resource_duration_type', '' );
						
						foreach ( $res_ids as $i => $id ):
							$name 		= isset( $res_names[$i] ) ? $res_names[$i] : '';
							$price 		= isset( $res_prices[$i] ) ? $res_prices[$i] : '';
							$quantity 	= isset( $res_quantity[$i] ) ? $res_quantity[$i] : '';
							$duration 	= isset( $res_durations[$i] ) ? $res_durations[$i] : '';
					?>
						<tr class="tr_rt_resource">
							<td width="15%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'resource_id[]' ) ); ?>"
						      		value="<?php echo esc_attr( $id ); ?>"
						      		placeholder="<?php esc_html_e( 'Not space', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="29%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'resource_name[]' ) ); ?>"
						      		value="<?php echo esc_attr( $name ); ?>"
						      		placeholder="<?php esc_html_e( 'Name', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="25%" class="ovabrw-input-price">
						      	<input
						      		type="text"
						      		class="wc_input_price"
						      		name="<?php echo esc_attr( $this->get_name( 'resource_price[]' ) ); ?>"
						      		value="<?php echo wc_format_localized_price( $price ); ?>"
						      		placeholder="<?php esc_html_e( '10.5', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="15%">
						      	<input
						      		type="number"
						      		name="<?php echo esc_attr( $this->get_name( 'resource_quantity[]' ) ); ?>"
						      		value="<?php echo esc_attr( $quantity ); ?>"
						      		placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
						      		autocomplete="off"
						      	/>
						    </td>
						    <td width="15%">
						    	<select name="<?php echo esc_attr( $this->get_name( 'resource_duration_type[]' ) ); ?>" class="short_dura">
								<?php
									if ( in_array( $this->type , [ 'day', 'hotel' ] ) ): ?>
										<option value="days"<?php selected( $duration, 'days' ); ?>>
											<?php esc_html_e( '/Days', 'ova-brw' ); ?>
										</option>
							    		<option value="total"<?php selected( $duration, 'total' ); ?>>
							    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
							    		</option>
									<?php elseif ( $this->type === 'hour' ): ?> 
										<option value="hours"<?php selected( $duration, 'hours' ); ?>>
											<?php esc_html_e( '/Hours', 'ova-brw' ); ?>
										</option>
							    		<option value="total"<?php selected( $duration, 'total' ); ?>>
							    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
							    		</option>
									<?php elseif ( $this->type === 'mixed' || $this->type == 'period_time' ): ?>
										<option value="hours"<?php selected( $duration, 'hours' ); ?>>
											<?php esc_html_e( '/Hours', 'ova-brw' ); ?>
										</option>
										<option value="days"<?php selected( $duration, 'days' ); ?>>
											<?php esc_html_e( '/Days', 'ova-brw' ); ?>
										</option>
							    		<option value="total"<?php selected( $duration, 'total' ); ?>>
							    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
							    		</option>
									<?php else: ?> 
										<option value="total" selected>
											<?php esc_html_e( '/Total', 'ova-brw' ); ?>
										</option>
									<?php endif; ?>
						    	</select>
						    </td>
						    <td width="1%"><button class="button ovabrw-remove-resource">x</button></td>
						</tr>
					<?php endforeach; endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-resource" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-resource-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add Resource', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>