<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$service_labels = $this->get_value( 'label_service' );
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Services', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_services_wrap">
			<div class="ovabrw_service">
				<span style="display: block; margin-bottom: 10px;">
			        <em><?php esc_html_e( 'Quantity: maximum per booking', 'ova-brw' ) ?></em>
			    </span>
				<div class="wrap_ovabrw_service_group">
				<?php if ( ! empty( $service_labels ) && is_array( $service_labels ) ):
			    	$service_required 	= $this->get_value( 'service_required' );
			    	$service_ids 		= $this->get_value( 'service_id' );
					$service_names 		= $this->get_value( 'service_name' );
					$service_prices 	= $this->get_value( 'service_price' );
					$service_qtys 		= $this->get_value( 'service_qty' );
					$duration_types 	= $this->get_value( 'service_duration_type' );
			    ?>
					<?php foreach ( $service_labels as $i => $label ):
						$required 	= isset( $service_required[$i] ) ? $service_required[$i] : 'no';
						$ids 		= isset( $service_ids[$i] ) ? $service_ids[$i] : '';
						$names 		= isset( $service_names[$i] ) ? $service_names[$i] : '';
						$prices 	= isset( $service_prices[$i] ) ? $service_prices[$i] : '';
						$qtys 		= isset( $service_qtys[$i] ) ? $service_qtys[$i] : '';
						$durations 	= isset( $duration_types[$i] ) ? $duration_types[$i] : '';
					?>
						<div class="ovabrw_service_group" data-index="<?php echo esc_attr($i); ?>">
							<div class="service_input">
								<div class="ovabrw_label_service">
									<span class="ovabrw_label_service">
										<?php esc_html_e( 'Label *', 'ova-brw' ); ?>
									</span>
									<input
										type="text"
										name="<?php echo esc_attr( $this->get_name('label_service[]') ); ?>"
										class="ovabrw_input_label"
										value="<?php echo esc_attr( $label ); ?>"
										autocomplete="off"
									/>
									<span>
										<?php esc_html_e( 'Required', 'ova-brw' ); ?>
									</span>
									<select name="ovabrw_service_required[]">
										<option value="yes"<?php selected( $required, 'yes' ); ?>>
											<?php esc_html_e( 'Yes', 'ova-brw' ); ?>
										</option>
										<option value="no"<?php selected( $required, 'no' ); ?>>
											<?php esc_html_e( 'No', 'ova-brw' ); ?>
										</option>
									</select>
								</div>
								<button class="button ovabrw-remove-service-group">x</button>
							</div>
							<table class="widefat">
								<thead>
									<tr>
										<th><?php esc_html_e( 'Unique ID *', 'ova-brw' ); ?></th>
										<th><?php esc_html_e( 'Name *', 'ova-brw' ); ?></th>
										<th><?php esc_html_e( 'Price *', 'ova-brw' ); ?></th>
										<th><?php esc_html_e( 'Quantity', 'ova-brw' ); ?></th>
										<th><?php esc_html_e( 'Duration', 'ova-brw' ); ?></th>
										<th></th>
									</tr>
								</thead>
								<tbody class="wrap_service">
								<?php if ( ! empty( $ids ) && is_array( $ids ) ): ?>
									<?php foreach ( $ids as $k => $id ):
										$name 		= isset( $names[$k] ) ? $names[$k] : '';
										$price 		= isset( $prices[$k] ) ? $prices[$k] : '';
										$qty 		= isset( $qtys[$k] ) ? $qtys[$k] : '';
										$duration 	= isset( $durations[$k] ) ? $durations[$k] : '';
									?>
										<tr class="tr_rt_service">
										    <td width="15%">
										      	<input
										      		type="text"
										      		name="<?php echo esc_attr( $this->get_name( 'service_id['.$i.'][]' ) ); ?>"
										      		class="ovabrw-service-id"
										      		value="<?php echo esc_attr( $id ); ?>"
										      		placeholder="<?php esc_html_e( 'Not space', 'ova-brw' ); ?>"
										      		autocomplete="off"
										      	/>
										    </td>
										    <td width="34%">
										      	<input
										      		type="text"
										      		name="<?php echo esc_attr($this->get_name( 'service_name['.$i.'][]' )); ?>"
										      		class="ovabrw-service-name"
										      		value="<?php echo esc_attr( $name ); ?>"
										      		placeholder="<?php esc_html_e( 'Name', 'ova-brw' ); ?>"
										      		autocomplete="off"
										      	/>
										    </td>
										    <td width="20%" class="ovabrw-input-price">
										      	<input
										      		type="text"
										      		name="<?php echo esc_attr($this->get_name( 'service_price['.$i.'][]' )); ?>"
										      		class="wc_input_price ovabrw-service-price"
										      		value="<?php echo wc_format_localized_price( $price ); ?>"
										      		placeholder="<?php esc_html_e( 'Price', 'ova-brw' ); ?>"
										      		autocomplete="off"
										      	/>
										    </td>
										    <td width="15%">
										      	<input
										      		type="number"
										      		name="<?php echo esc_attr($this->get_name( 'service_qty['.$i.'][]' )); ?>"
										      		class="ovabrw-service-qty"
										      		value="<?php echo esc_attr( $qty ); ?>"
										      		placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
										      		autocomplete="off"
										      	/>
										    </td>
										    <td width="15%">
										      	<select name="<?php echo esc_attr($this->get_name( 'service_duration_type['.$i.'][]' )); ?>" class="ovabrw-service-duration">
													<?php if ( in_array( $this->type , [ 'day', 'hotel' ] ) ): ?>
														<option value="days"<?php selected( $duration, 'days' ); ?>>
															<?php esc_html_e( '/Days', 'ova-brw' ); ?>
														</option>
											    		<option value="total"<?php selected( $duration, 'total' ); ?>>
											    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
											    		</option>
											    	<?php elseif ( $this->type === 'hour' ): ?>
											    		<option value="hours"<?php selected( $duration, 'hours' ); ?>>
															<?php esc_html_e( '/Hours', 'ova-brw' ); ?>
														</option>
											    		<option value="total"<?php selected( $duration, 'total' ); ?>>
											    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
											    		</option>
											    	<?php elseif ( $this->type === 'mixed' || $this->type === 'period_time' ): ?>
														<option value="hours"<?php selected( $duration, 'hours' ); ?>>
															<?php esc_html_e( '/Hours', 'ova-brw' ); ?>
														</option>
														<option value="days"<?php selected( $duration, 'days' ); ?>>
															<?php esc_html_e( '/Days', 'ova-brw' ); ?>
														</option>
											    		<option value="total"<?php selected( $duration, 'total' ); ?>>
											    			<?php esc_html_e( '/Total', 'ova-brw' ); ?>
											    		</option>
											    	<?php else: ?>
											    		<option value="total" selected>
															<?php esc_html_e( '/Total', 'ova-brw' ); ?>
														</option>
													<?php endif; ?>
										        </select>
										    </td>
										    <td width="1%"><button class="button ovabrw-remove-service-option">x</button></td>
										</tr>
									<?php endforeach; ?>
								<?php endif; ?>
								</tbody>
								<tfoot>
									<tr>
										<th colspan="6">
											<button class="button ovabrw-add-service-group" >
												<?php esc_html_e( 'Add Option', 'ova-brw' ); ?>
											</button>
										</th>
									</tr>
								</tfoot>
							</table>
						</div>
					<?php endforeach; ?>
				<?php endif; ?>
				</div>
				<div class="ovabrw-service-add">
					<button class="button ovabrw-add-service" data-add-new="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-service-field.php' );
						echo esc_attr( ob_get_clean() );
					?>" data-add-new-option="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-service-option-field.php' );
						echo esc_attr( ob_get_clean() );
					?>">
						<?php esc_html_e( 'Add Service', 'ova-brw' ); ?></a>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>