<?php if ( ! defined( 'ABSPATH' ) ) exit();
	// ST
	$st_pickup_distance = $this->get_value( 'st_pickup_distance' );
?>

<div class="ovabrw_st_distance_table">
	<table class="widefat">
		<thead>
			<th><?php esc_html_e( 'Start Date', 'ova-brw' ); ?></th>
			<th><?php esc_html_e( 'End Date', 'ova-brw' ); ?></th>
			<th><?php printf( esc_html__( 'Price (%s)', 'ova-brw' ), get_woocommerce_currency_symbol() ); ?></th>
			<th><?php esc_html_e( 'Discount', 'ova-brw' ); ?></th>
			<th></th>
		</thead>
		<tbody>
		<?php if ( ! empty( $st_pickup_distance ) && is_array( $st_pickup_distance ) ):
			$time_format = ovabrw_get_time_format_php();
			$date_format = ovabrw_get_date_format();

			// ST
			$st_pickoff_distance 	= $this->get_value( 'st_pickoff_distance' );
			$st_price_distance 		= $this->get_value( 'st_price_distance' );

			// ST Discount
			$st_discount_distance 	= $this->get_value( 'st_discount_distance' );
			$price_by 				= $this->get_value( 'map_price_by', 'km' );

			if ( ! $price_by ) $price_by = 'km';

			foreach ( $st_pickup_distance as $k => $pickup ):
				$pickoff 	= isset( $st_pickoff_distance[$k] ) ? $st_pickoff_distance[$k] : '';
				$price 		= isset( $st_price_distance[$k] ) ? $st_price_distance[$k] : '';
				$dsc_from 	= isset( $st_discount_distance[$k]['from'] ) ? $st_discount_distance[$k]['from'] : '';
				$dsc_to 	= isset( $st_discount_distance[$k]['to'] ) ? $st_discount_distance[$k]['to'] : '';
				$dsc_price 	= isset( $st_discount_distance[$k]['price'] ) ? $st_discount_distance[$k]['price'] : '';
		?>
			<tr class="row_st_distance" data-index="<?php echo esc_attr( $k ); ?>">
				<td width="20%">
					<input
						type="text"
						name="<?php echo esc_attr( $this->get_name( 'st_pickup_distance[]' ) ); ?>"
						class="ovabrw_datetimepicker"
						value="<?php echo esc_attr( $pickup ); ?>"
						placeholder="<?php echo esc_attr( $date_format . ' ' . $time_format ); ?>"
						autocomplete="off"
				      	onfocus="blur();"
					/>
				</td>
				<td width="20%">
					<input
						type="text"
						name="<?php echo esc_attr( $this->get_name( 'st_pickoff_distance[]' ) ); ?>"
						class="ovabrw_datetimepicker"
						value="<?php echo esc_attr( $pickoff ); ?>"
						placeholder="<?php echo esc_attr( $date_format . ' ' . $time_format ); ?>"
						autocomplete="off"
				      	onfocus="blur();"
					/>
				</td>
				<td width="14%" class="ovabrw-input-price">
					<input
						type="text"
						class="wc_input_price"
						name="<?php echo esc_attr( $this->get_name( 'st_price_distance[]' ) ); ?>"
						value="<?php echo wc_format_localized_price( $price ); ?>"
						placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
						autocomplete="off"
					/>
				</td>
				<td width="45%">
					<table width="100%" class="widefat ovabrw_st_discount_distance">
						<thead>
							<tr>
								<th><?php printf( esc_html__( 'From (%s)', 'ova-brw' ), $price_by ); ?></th>
								<th><?php printf( esc_html__( 'To (%s)', 'ova-brw' ), $price_by ); ?></th>
								<th><?php printf( esc_html__( 'Price (%s)', 'ova-brw' ), get_woocommerce_currency_symbol() ); ?></th>
								<th></th>
							</tr>
						</thead>
						<tbody>
						<?php if ( ! empty( $dsc_from ) && is_array( $dsc_from ) ):
							foreach ( $dsc_from as $k_dsc => $val_from ):
								$to 	= is_array( $dsc_to ) && isset( $dsc_to[$k_dsc] ) ? $dsc_to[$k_dsc] : '';
								$price 	= is_array( $dsc_price ) && isset( $dsc_price[$k_dsc] ) ? $dsc_price[$k_dsc] : '';
						?>
							<tr class="row_st_discount_distance">
								<td width="30%">
									<input
										type="text"
										name="<?php echo esc_attr( $this->get_name( 'st_discount_distance['.$k.'][from][]' ) ); ?>"
										class="ovabrw_st_discount_distance_from"
										value="<?php echo esc_attr( $val_from ); ?>"
										placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
										autocomplete="off"
									/>
								</td>
								<td width="30%">
									<input
										type="text"
										name="<?php echo esc_attr( $this->get_name( 'st_discount_distance['.$k.'][to][]' ) ); ?>"
										class="ovabrw_st_discount_distance_to"
										value="<?php echo esc_attr( $to ); ?>"
										placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
										autocomplete="off"
									/>
								</td>
								<td width="30%" class="ovabrw-input-price">
									<input
										type="text"
										name="<?php echo esc_attr( $this->get_name( 'st_discount_distance['.$k.'][price][]' ) ); ?>"
										class="wc_input_price ovabrw_st_discount_distance_price"
										value="<?php echo wc_format_localized_price( $price ); ?>"
										placeholder="<?php esc_html_e( 'Number', 'ova-brw' ); ?>"
										autocomplete="off"
									/>
								</td>
								<td width="1%"><button class="button ovabrw-remove-st-discount-distance">x</button></td>
							</tr>
						<?php endforeach; endif; ?>
						</tbody>
						<tfoot>
							<tr>
								<th colspan="6">
									<button class="button ovabrw-add-st-discount-distance">
										<?php esc_html_e( 'Add Discount', 'ova-brw' ); ?>
									</button>
								</th>
							</tr>
						</tfoot>
					</table>
				</td>
				<td width="1%"><button class="button ovabrw-remove-st-distance">x</button></td>
			</tr>
		<?php endforeach; endif; ?>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="6">
					<button class="button ovabrw-add-st-distance" data-add-new="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-special-time-distance-field.php' );
						echo esc_attr( ob_get_clean() );
					?>" data-add-new-discount="<?php
						ob_start();
						include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-special-time-distance-discount.php' );
						echo esc_attr( ob_get_clean() );
					?>">
						<?php esc_html_e( 'Add Special Time', 'ova-brw' ); ?>
					</button>
				</th>
			</tr>
		</tfoot>
	</table>
</div>