<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$st_price = $this->get_value( 'rt_price', '' );

	if ( $this->type === 'hour' ) $st_price = $this->get_value( 'rt_price_hour', '' );
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Special Time (ST)', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_special_time_wrap">
			<span class="ovabrw_right"><?php esc_html_e( 'Note: ST doesn\'t use GD, it will use DST', 'ova-brw' ); ?></span>
			<div class="ovabrw_rt">
				<table class="widefat">
					<thead>
						<tr>
							<th class="rt_day"><?php esc_html_e( 'Price/Day', 'ova-brw' ); ?></th>
							<th class="rt_hour"><?php esc_html_e( 'Price/Hour', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Start Date', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'End Date', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'Discount in Special Time (DST)', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_rt">
					<?php if ( ! empty( $st_price ) && is_array( $st_price ) ):
						$time_format 		= ovabrw_get_time_format();
						$placeholder_date 	= ovabrw_get_placeholder_date();
						$placeholder_time 	= ovabrw_get_placeholder_time();
						$st_startdate 	= $this->get_value( 'rt_startdate' );
						$st_starttime 	= $this->get_value( 'rt_starttime' );
						$st_enddate 	= $this->get_value( 'rt_enddate' );
						$st_endtime 	= $this->get_value( 'rt_endtime' );
						$st_discount 	= $this->get_value( 'rt_discount' );
					?>
						<?php if ( $this->type === 'day' ):
							foreach ( $st_price as $i => $price ):
								$start_date = isset( $st_startdate[$i] ) ? $st_startdate[$i] : '';
								$start_time = isset( $st_starttime[$i] ) ? $st_starttime[$i] : '';
								$end_date 	= isset( $st_enddate[$i] ) ? $st_enddate[$i] : '';
								$end_time 	= isset( $st_endtime[$i] ) ? $st_endtime[$i] : '';
								$discount 	= isset( $st_discount[$i] ) ? $st_discount[$i] : '';
						?>
							<tr class="row_rt_record" data-index="<?php echo esc_attr( $i ); ?>">
								<td width="12%" class="ovabrw-input-price">
									<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('rt_price[]') ); ?>"
						        		class="wc_input_price ovabrw_rt_price"
						        		value="<?php echo wc_format_localized_price( $price ); ?>"
						        		placeholder="<?php esc_html_e( 'Price/Day', 'ova-brw' ); ?>"
						        		autocomplete="off"
						        	/>
								</td>
								<td width="12%"></td>
								<td width="16%">
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_startdate[]' ) ); ?>"
								    	class="ovabrw_rt_startdate ova_brw_datepicker_short"
								    	value="<?php echo esc_attr( $start_date ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
								    	autocomplete="off"
								    />
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_starttime[]' ) ); ?>"
								    	class="ovabrw_rt_starttime ova_brw_datepicker_time"
								    	value="<?php echo esc_attr( $start_time ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
								    	data-time="<?php echo esc_attr( $time_format ); ?>"
								    	autocomplete="off"
								    />
							    </td>
							    <td width="16%">
							      	<input
							      		type="text"
							      		name="<?php echo esc_attr( $this->get_name( 'rt_enddate[]' ) ); ?>"
							      		class="ovabrw_rt_enddate ova_brw_datepicker_short"
							      		value="<?php echo esc_attr( $end_date ); ?>"
							      		placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
							      		autocomplete="off"
							      	/>
							      	<input
							     		type="text"
							     		name="<?php echo esc_attr( $this->get_name( 'rt_endtime[]' ) ); ?>"
							     		class="ovabrw_rt_endtime ova_brw_datepicker_time"
							     		value="<?php echo esc_attr( $end_time ); ?>"
							     		placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
							     		data-time="<?php echo esc_attr( $time_format ); ?>"
							     		autocomplete="off"
							     	/>
							    </td>
							    <td width="43%">
							    	<table width="100%" class="ovabrw_rt_discount">
								      	<thead>
											<tr>
												<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
												<th><?php esc_html_e( 'Min - Max: Number', 'ova-brw' ); ?></th>
												<th></th>
											</tr>
										</thead>
										<tbody class="real">
											<?php if ( ! empty( $discount ) && is_array( $discount ) ):
												$dsc_price 		= isset( $discount['price'] ) ? $discount['price'] : '';
												$dsc_min 		= isset( $discount['min'] ) ? $discount['min'] : '';
												$dsc_max 		= isset( $discount['max'] ) ? $discount['max'] : '';
												$dsc_duration 	= isset( $discount['duration_type'] ) ? $discount['duration_type'] : '';

												if ( ! empty( $dsc_price ) && is_array( $dsc_price ) ):
													foreach ( $dsc_price as $k => $price ):
														$min 		= isset( $dsc_min[$k] ) ? $dsc_min[$k] : '';
														$max 		= isset( $dsc_max[$k] ) ? $dsc_max[$k] : '';
														$duration 	= isset( $dsc_duration[$k] ) ? $dsc_duration[$k] : '';
											?>
												<tr class="tr_rt_discount">
													<td width="25%" class="ovabrw-input-price">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][price][]' ) ); ?>"
													    	class="wc_input_price ovabrw_rt_discount_price input_per_100"
													    	value="<?php echo wc_format_localized_price( $price ); ?>"
													    	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="49%" class="duration">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][min][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_min"
													    	value="<?php echo esc_attr( $min ); ?>"
													    	placeholder="<?php esc_html_e( '1', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][max][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_max"
													    	value="<?php echo esc_attr( $max ); ?>"
													    	placeholder="<?php esc_html_e( '2', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="25%">
													    <select name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][duration_type][]' ) ); ?>" class="short ovabrw_rt_discount_duration_type">
													        <option value="days">
													        	<?php esc_html_e( 'Day(s)', 'ova-brw' ); ?>
													        </option>
													    </select>
													</td>
													<td width="1%">
														<button class="button ovabrw-remove-st-discount">x</button>
													</td>
												</tr>
											<?php endforeach; endif; endif; ?>
										</tbody>
										<tfoot>
											<tr>
												<th colspan="6">
													<button class="button ovabrw-add-st-discount">
														<?php esc_html_e( 'Add PST', 'ova-brw' ); ?>
													</button>
												</th>
											</tr>
										</tfoot>
							      	</table>
							    </td>
							    <td width="1%"><button class="button ovabrw-remove-special-time">x</button></td>
							</tr>
						<?php endforeach; elseif ( $this->type === 'hotel' ):
							foreach ( $st_price as $i => $price ):
								$start_date = isset( $st_startdate[$i] ) ? $st_startdate[$i] : '';
								$end_date 	= isset( $st_enddate[$i] ) ? $st_enddate[$i] : '';
								$discount 	= isset( $st_discount[$i] ) ? $st_discount[$i] : '';
						?>
							<tr class="row_rt_record" data-index="<?php echo esc_attr( $i ); ?>">
								<td width="12%" class="ovabrw-input-price">
									<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('rt_price[]') ); ?>"
						        		class="wc_input_price ovabrw_rt_price"
						        		value="<?php echo wc_format_localized_price( $price ); ?>"
						        		placeholder="<?php esc_html_e( 'Price/Day', 'ova-brw' ); ?>"
						        		autocomplete="off"
						        	/>
								</td>
								<td width="12%"></td>
								<td width="16%">
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_startdate[]' ) ); ?>"
								    	class="ovabrw_rt_startdate ova_brw_datepicker_short"
								    	value="<?php echo esc_attr( $start_date ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
								    	autocomplete="off"
								    />
							    </td>
							    <td width="16%">
							      	<input
							      		type="text"
							      		name="<?php echo esc_attr( $this->get_name( 'rt_enddate[]' ) ); ?>"
							      		class="ovabrw_rt_enddate ova_brw_datepicker_short"
							      		value="<?php echo esc_attr( $end_date ); ?>"
							      		placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
							      		autocomplete="off"
							      	/>
							    </td>
							    <td width="43%">
							    	<table width="100%" class="ovabrw_rt_discount">
								      	<thead>
											<tr>
												<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
												<th><?php esc_html_e( 'Min - Max: Number', 'ova-brw' ); ?></th>
												<th></th>
											</tr>
										</thead>
										<tbody class="real">
											<?php if ( ! empty( $discount ) && is_array( $discount ) ):
												$dsc_price 		= isset( $discount['price'] ) ? $discount['price'] : '';
												$dsc_min 		= isset( $discount['min'] ) ? $discount['min'] : '';
												$dsc_max 		= isset( $discount['max'] ) ? $discount['max'] : '';
												$dsc_duration 	= isset( $discount['duration_type'] ) ? $discount['duration_type'] : '';

												if ( ! empty( $dsc_price ) && is_array( $dsc_price ) ):
													foreach ( $dsc_price as $k => $price ):
														$min 		= isset( $dsc_min[$k] ) ? $dsc_min[$k] : '';
														$max 		= isset( $dsc_max[$k] ) ? $dsc_max[$k] : '';
														$duration 	= isset( $dsc_duration[$k] ) ? $dsc_duration[$k] : '';
											?>
												<tr class="tr_rt_discount">
													<td width="25%">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][price][]' ) ); ?>"
													    	class="ovabrw_rt_discount_price input_per_100"
													    	value="<?php echo wc_format_localized_price( $price ); ?>"
													    	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="49%" class="duration">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][min][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_min"
													    	value="<?php echo esc_attr( $min ); ?>"
													    	placeholder="<?php esc_html_e( '1', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][max][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_max"
													    	value="<?php echo esc_attr( $max ); ?>"
													    	placeholder="<?php esc_html_e( '2', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="25%">
													    <select name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][duration_type][]' ) ); ?>" class="short ovabrw_rt_discount_duration_type">
													        <option value="days">
													        	<?php esc_html_e( 'Day(s)', 'ova-brw' ); ?>
													        </option>
													    </select>
													</td>
													<td width="1%">
														<button class="button ovabrw-remove-st-discount">x</button>
													</td>
												</tr>
											<?php endforeach; endif; endif; ?>
										</tbody>
										<tfoot>
											<tr>
												<th colspan="6">
													<button class="button ovabrw-add-st-discount">
														<?php esc_html_e( 'Add PST', 'ova-brw' ); ?>
													</button>
												</th>
											</tr>
										</tfoot>
							      	</table>
							    </td>
							    <td width="1%"><button class="button ovabrw-remove-special-time">x</button></td>
							</tr>
						<?php endforeach; elseif ( $this->type === 'hour' ):
							$st_price = $this->get_value( 'rt_price_hour', '' );

							foreach ( $st_price as $i => $price ):
								$start_date = isset( $st_startdate[$i] ) ? $st_startdate[$i] : '';
								$start_time = isset( $st_starttime[$i] ) ? $st_starttime[$i] : '';
								$end_date 	= isset( $st_enddate[$i] ) ? $st_enddate[$i] : '';
								$end_time 	= isset( $st_endtime[$i] ) ? $st_endtime[$i] : '';
								$discount 	= isset( $st_discount[$i] ) ? $st_discount[$i] : '';
						?>
							<tr class="row_rt_record" data-index="<?php echo esc_attr( $i ); ?>">
								<td width="12%"></td>
								<td width="12%" class="ovabrw-input-price">
									<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('rt_price_hour[]') ); ?>"
						        		class="wc_input_price ovabrw_rt_price_hour"
						        		value="<?php echo wc_format_localized_price( $price ); ?>"
						        		placeholder="<?php esc_html_e( 'Price/Hour', 'ova-brw' ); ?>"
						        		autocomplete="off"
						        	/>
								</td>
								<td width="16%">
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_startdate[]' ) ); ?>"
								    	class="ovabrw_rt_startdate ova_brw_datepicker_short"
								    	value="<?php echo esc_attr( $start_date ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
								    	autocomplete="off"
								    />
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_starttime[]' ) ); ?>"
								    	class="ovabrw_rt_starttime ova_brw_datepicker_time"
								    	value="<?php echo esc_attr( $start_time ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
								    	data-time="<?php echo esc_attr( $time_format ); ?>"
								    	autocomplete="off"
								    />
							    </td>
							    <td width="16%">
							      	<input
							      		type="text"
							      		name="<?php echo esc_attr( $this->get_name( 'rt_enddate[]' ) ); ?>"
							      		class="ovabrw_rt_enddate ova_brw_datepicker_short"
							      		value="<?php echo esc_attr( $end_date ); ?>"
							      		placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
							      		autocomplete="off"
							      	/>
							     	<input
							     		type="text"
							     		name="<?php echo esc_attr( $this->get_name( 'rt_endtime[]' ) ); ?>"
							     		class="ovabrw_rt_endtime ova_brw_datepicker_time"
							     		value="<?php echo esc_attr( $end_time ); ?>"
							     		placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
							     		data-time="<?php echo esc_attr( $time_format ); ?>"
							     		autocomplete="off"
							     	/>
							    </td>
							    <td width="43%">
							    	<table width="100%" class="ovabrw_rt_discount">
								      	<thead>
											<tr>
												<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
												<th><?php esc_html_e( 'Min - Max: Number', 'ova-brw' ); ?></th>
												<th></th>
											</tr>
										</thead>
										<tbody class="real">
											<?php if ( ! empty( $discount ) && is_array( $discount ) ):
												$dsc_price 		= isset( $discount['price'] ) ? $discount['price'] : '';
												$dsc_min 		= isset( $discount['min'] ) ? $discount['min'] : '';
												$dsc_max 		= isset( $discount['max'] ) ? $discount['max'] : '';
												$dsc_duration 	= isset( $discount['duration_type'] ) ? $discount['duration_type'] : '';

												if ( ! empty( $dsc_price ) && is_array( $dsc_price ) ):
													foreach ( $dsc_price as $k => $price ):
														$min 		= isset( $dsc_min[$k] ) ? $dsc_min[$k] : '';
														$max 		= isset( $dsc_max[$k] ) ? $dsc_max[$k] : '';
														$duration 	= isset( $dsc_duration[$k] ) ? $dsc_duration[$k] : '';
											?>
												<tr class="tr_rt_discount">
													<td width="25%" class="ovabrw-input-price">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][price][]' ) ); ?>"
													    	class="wc_input_price ovabrw_rt_discount_price input_per_100"
													    	value="<?php echo wc_format_localized_price( $price ); ?>"
													    	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="49%" class="duration">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][min][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_min"
													    	value="<?php echo esc_attr( $min ); ?>"
													    	placeholder="<?php esc_html_e( '1', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][max][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_max"
													    	value="<?php echo esc_attr( $max ); ?>"
													    	placeholder="<?php esc_html_e( '2', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="25%">
													    <select name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][duration_type][]' ) ); ?>" class="short ovabrw_rt_discount_duration_type">
													        <option value="hours">
													        	<?php esc_html_e( 'Hour(s)', 'ova-brw' ); ?>
													        </option>
													    </select>
													</td>
													<td width="1%">
														<button class="button ovabrw-remove-st-discount">x</button>
													</td>
												</tr>
											<?php endforeach; endif; endif; ?>
										</tbody>
										<tfoot>
											<tr>
												<th colspan="6">
													<button class="button ovabrw-add-st-discount">
														<?php esc_html_e( 'Add PST', 'ova-brw' ); ?>
													</button>
												</th>
											</tr>
										</tfoot>
							      	</table>
							    </td>
							    <td width="1%"><button class="button ovabrw-remove-special-time">x</button></td>
							</tr>
						<?php endforeach; else:
							$st_price_hour = $this->get_value( 'rt_price_hour', '' );

							foreach ( $st_price as $i => $price ):
								$price_hour = isset( $st_price_hour[$i] ) ? $st_price_hour[$i] : '';
								$start_date = isset( $st_startdate[$i] ) ? $st_startdate[$i] : '';
								$start_time = isset( $st_starttime[$i] ) ? $st_starttime[$i] : '';
								$end_date 	= isset( $st_enddate[$i] ) ? $st_enddate[$i] : '';
								$end_time 	= isset( $st_endtime[$i] ) ? $st_endtime[$i] : '';
								$discount 	= isset( $st_discount[$i] ) ? $st_discount[$i] : '';
						?>
							<tr class="row_rt_record" data-index="<?php echo esc_attr( $i ); ?>">
								<td width="12%" class="ovabrw-input-price">
									<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('rt_price[]') ); ?>"
						        		class="wc_input_price ovabrw_rt_price"
						        		value="<?php echo wc_format_localized_price( $price ); ?>"
						        		placeholder="<?php esc_html_e( 'Price/Day', 'ova-brw' ); ?>"
						        		autocomplete="off"
						        	/>
								</td>
								<td width="12%" class="ovabrw-input-price">
									<input
						        		type="text"
						        		name="<?php echo esc_attr( $this->get_name('rt_price_hour[]') ); ?>"
						        		class="wc_input_price ovabrw_rt_price_hour"
						        		value="<?php echo wc_format_localized_price( $price_hour ); ?>"
						        		placeholder="<?php esc_html_e( 'Price/Hour', 'ova-brw' ); ?>"
						        		autocomplete="off"
						        	/>
								</td>
								<td width="16%">
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_startdate[]' ) ); ?>"
								    	class="ovabrw_rt_startdate ova_brw_datepicker_short"
								    	value="<?php echo esc_attr( $start_date ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
								    	autocomplete="off"
								    />
								    <input
								    	type="text"
								    	name="<?php echo esc_attr( $this->get_name( 'rt_starttime[]' ) ); ?>"
								    	class="ovabrw_rt_starttime ova_brw_datepicker_time"
								    	value="<?php echo esc_attr( $start_time ); ?>"
								    	placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
								    	data-time="<?php echo esc_attr( $time_format ); ?>"
								    	autocomplete="off"
								    />
							    </td>
							    <td width="16%">
							      	<input
							      		type="text"
							      		name="<?php echo esc_attr( $this->get_name( 'rt_enddate[]' ) ); ?>"
							      		class="ovabrw_rt_enddate ova_brw_datepicker_short"
							      		value="<?php echo esc_attr( $end_date ); ?>"
							      		placeholder="<?php echo esc_attr( $placeholder_date ); ?>"
							      		autocomplete="off"
							      	/>
							     	<input
							     		type="text"
							     		name="<?php echo esc_attr( $this->get_name( 'rt_endtime[]' ) ); ?>"
							     		class="ovabrw_rt_endtime ova_brw_datepicker_time"
							     		value="<?php echo esc_attr( $end_time ); ?>"
							     		placeholder="<?php echo esc_attr( $placeholder_time ); ?>"
							     		data-time="<?php echo esc_attr( $time_format ); ?>"
							     		autocomplete="off"
							     	/>
							    </td>
							    <td width="43%">
							    	<table width="100%" class="ovabrw_rt_discount">
								      	<thead>
											<tr>
												<th><?php esc_html_e( 'Price', 'ova-brw' ); ?></th>
												<th><?php esc_html_e( 'Min - Max: Number', 'ova-brw' ); ?></th>
												<th></th>
											</tr>
										</thead>
										<tbody class="real">
											<?php if ( ! empty( $discount ) && is_array( $discount ) ):
												$dsc_price 		= isset( $discount['price'] ) ? $discount['price'] : '';
												$dsc_min 		= isset( $discount['min'] ) ? $discount['min'] : '';
												$dsc_max 		= isset( $discount['max'] ) ? $discount['max'] : '';
												$dsc_duration 	= isset( $discount['duration_type'] ) ? $discount['duration_type'] : '';

												if ( ! empty( $dsc_price ) && is_array( $dsc_price ) ):
													foreach ( $dsc_price as $k => $price ):
														$min 		= isset( $dsc_min[$k] ) ? $dsc_min[$k] : '';
														$max 		= isset( $dsc_max[$k] ) ? $dsc_max[$k] : '';
														$duration 	= isset( $dsc_duration[$k] ) ? $dsc_duration[$k] : '';
											?>
												<tr class="tr_rt_discount">
													<td width="25%" class="ovabrw-input-price">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][price][]' ) ); ?>"
													    	class="wc_input_price ovabrw_rt_discount_price input_per_100"
													    	value="<?php echo wc_format_localized_price( $price ); ?>"
													    	placeholder="<?php esc_html_e('10.5', 'ova-brw'); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="49%" class="duration">
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][min][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_min"
													    	value="<?php echo esc_attr( $min ); ?>"
													    	placeholder="<?php esc_html_e( '1', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													    <input
													    	type="text"
													    	name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][max][]' ) ); ?>"
													    	class="input_text short ovabrw_rt_discount_duration_max"
													    	value="<?php echo esc_attr( $max ); ?>"
													    	placeholder="<?php esc_html_e( '2', 'ova-brw' ); ?>"
													    	autocomplete="off"
													    />
													</td>
													<td width="25%">
													    <select name="<?php echo esc_attr( $this->get_name( 'rt_discount['.$i.'][duration_type][]' ) ); ?>" class="short ovabrw_rt_discount_duration_type">
													    	<option value="days"<?php selected( $duration, 'days' ); ?>>
													        	<?php esc_html_e( 'Day(s)', 'ova-brw' ); ?>
													        </option>
													        <option value="hours"<?php selected( $duration, 'hours' ); ?>>
													        	<?php esc_html_e( 'Hour(s)', 'ova-brw' ); ?>
													        </option>
													    </select>
													</td>
													<td width="1%">
														<button class="button ovabrw-remove-st-discount">x</button>
													</td>
												</tr>
											<?php endforeach; endif; endif; ?>
										</tbody>
										<tfoot>
											<tr>
												<th colspan="6">
													<button class="button ovabrw-add-st-discount">
														<?php esc_html_e( 'Add PST', 'ova-brw' ); ?>
													</button>
												</th>
											</tr>
										</tfoot>
							      	</table>
							    </td>
							    <td width="1%"><button class="button ovabrw-remove-special-time">x</button></td>
							</tr>
						<?php endforeach; endif; ?>
					<?php endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-special-time" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-special-time-field.php' );
									echo esc_attr( ob_get_clean() );
								?>" data-add-new-discount="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-special-time-discount-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add ST', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>