<?php if ( ! defined( 'ABSPATH' ) ) exit;
	$time_format 		= ovabrw_get_time_format();
	$date_format 		= ovabrw_get_date_format();
	$set_time_format 	= ovabrw_get_time_format_php();
	$placeholder_date 	= ovabrw_get_placeholder_date();
	$placeholder_time 	= ovabrw_get_placeholder_time();
	$ut_startdate 		= $this->get_value( 'untime_startdate' );
	$time_picker 		= 'true';

	if ( $this->type === 'hotel' ) {
		$time_picker 		= 'false';
		$set_time_format 	= '';
		$placeholder_time 	= '';
	}
?>
<div class="ovabrw-advanced-settings">
	<div class="advanced-header">
		<h3 class="advanced-label"><?php esc_html_e( 'Unavailable Time (UT)', 'ova-brw' ); ?></h3>
		<span aria-hidden="true" class="dashicons dashicons-arrow-up"></span>
		<span aria-hidden="true" class="dashicons dashicons-arrow-down"></span>
	</div>
	<div class="advanced-content">
		<div class="ovabrw-form-field ovabrw_untime_wrap">
			<div class="ovabrw_rt_untime">
				<table class="widefat">
					<thead>
						<tr>
							<th><?php esc_html_e( 'Start Date', 'ova-brw' ); ?></th>
							<th><?php esc_html_e( 'End Date', 'ova-brw' ); ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody class="wrap_rt_untime">
					<?php if ( ! empty( $ut_startdate ) && is_array( $ut_startdate ) ):
						$ut_enddate = $this->get_value( 'untime_enddate' );

						foreach ( $ut_startdate as $i => $start_date ):
							$end_date = isset( $ut_enddate[$i] ) ? $ut_enddate[$i] : '';
					?>
						<tr class="tr_rt_untime">
							<td width="49.5%">
						      	<input
							      	type="text"
							      	name="<?php echo esc_attr( $this->get_name( 'untime_startdate[]' ) ); ?>"
							      	class="unavailable_time start_date"
							      	value="<?php echo date( $date_format.' '.$set_time_format, strtotime( $start_date ) ); ?>"
							      	placeholder="<?php echo esc_attr( $placeholder_date.' '.$placeholder_time ); ?>"
							      	autocomplete="off"
							      	data-time="<?php echo esc_attr( $time_format ); ?>"
							      	data-time-picker="<?php echo esc_attr( $time_picker ); ?>"
							      	onfocus="blur();"
							      />
						    </td>
						    <td width="49.5%">
						      	<input
						      		type="text"
						      		name="<?php echo esc_attr( $this->get_name( 'untime_enddate[]' ) ); ?>"
						      		class="unavailable_time end_date"
						      		value="<?php echo date( $date_format.' '.$set_time_format, strtotime( $end_date ) ); ?>"
						      		placeholder="<?php echo esc_attr( $placeholder_date.' '.$placeholder_time ); ?>"
						      		autocomplete="off"
						      		data-time="<?php echo esc_attr( $time_format ); ?>"
						      		data-time-picker="<?php echo esc_attr( $time_picker ); ?>"
						      		onfocus="blur();"
						      	/>
						    </td>
						    <td width="1%"><button class="button ovabrw-remove-untime">x</button></td>
						</tr>
					<?php endforeach; endif; ?>
					</tbody>
					<tfoot>
						<tr>
							<th colspan="6">
								<button class="button ovabrw-add-untime" data-add-new="<?php
									ob_start();
									include( OVABRW_PLUGIN_PATH.'admin/meta-boxes/fields/ovabrw-unavaiable-time-field.php' );
									echo esc_attr( ob_get_clean() );
								?>">
									<?php esc_html_e( 'Add UT', 'ova-brw' ); ?>
								</button>
							</th>
						</tr>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>