<?php if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'OVABRW_Admin_Rental_By_Hotel', false ) ) {
	class OVABRW_Admin_Rental_By_Hotel extends OVABRW_Abstract_Admin_Rental_Types {
		protected static $_instance = null;

		public function __construct() {
			$this->type 	= 'hotel';
			$this->title 	= esc_html__( 'Hotel', 'ova-brw' );
			$this->prefix 	= OVABRW_PREFIX;
			$this->view 	= OVABRW_PLUGIN_PATH.'admin/meta-boxes/views/html-rental-by-hotel.php';

			parent::__construct();
		}

		public function save( $post_id, $data ) {
			if ( ! is_array( $data ) ) {
                $data = $_POST;
            }

            $product_type 	= isset( $data['product-type'] ) ? $data['product-type'] : '';
            $rental_type 	= isset( $data[$this->get_name('price_type')] ) ? $data[$this->get_name('price_type')] : '';

            if ( $product_type === 'ovabrw_car_rental' && $this->type === $rental_type ) {
            	// Rental Type
            	if ( $rental_type ) {
	            	update_post_meta( $post_id, $this->get_name('price_type'), $rental_type );
	            } else {
	            	delete_post_meta( $post_id, $this->get_name('price_type'), $rental_type );
	            }

	            // Regular Price
	            $regular_price = isset( $data[$this->get_name('regular_price_hotel')] ) ? wc_format_decimal( $data[$this->get_name('regular_price_hotel')] ) : '';
	            update_post_meta( $post_id, $this->get_name('regular_price_hotel'), $regular_price );
	            update_post_meta( $post_id, '_regular_price', $regular_price );
	            update_post_meta( $post_id, '_price', $regular_price );

	            // Insurance Amount
	            $insurance_amount = isset( $data[$this->get_name('amount_insurance')] ) ? wc_format_decimal( $data[$this->get_name('amount_insurance')] ) : '';
	            update_post_meta( $post_id, $this->get_name('amount_insurance'), $insurance_amount );

	            // Enable deposit
	            $enable_deposit = isset( $data[$this->get_name('enable_deposit')] ) ? $data[$this->get_name('enable_deposit')] : '';
	            update_post_meta( $post_id, $this->get_name('enable_deposit'), $enable_deposit );

	            // Show full payment
	            $show_full_payment = isset( $data[$this->get_name('force_deposit')] ) ? $data[$this->get_name('force_deposit')] : 'yes';
	            update_post_meta( $post_id, $this->get_name('force_deposit'), $show_full_payment );

	            // Deposit type
	            $deposit_type = isset( $data[$this->get_name('type_deposit')] ) ? $data[$this->get_name('type_deposit')] : 'percent';
	            update_post_meta( $post_id, $this->get_name('type_deposit'), $deposit_type );

	            // Deposit amount
	            $deposit_amount = isset( $data[$this->get_name('amount_deposit')] ) ? wc_format_decimal( $data[$this->get_name('amount_deposit')] ) : '';
	            update_post_meta( $post_id, $this->get_name('amount_deposit'), $deposit_amount );

	            // Inventory
	            $inventory = isset( $data[$this->get_name('manage_store')] ) ? $data[$this->get_name('manage_store')] : 'store';
	            update_post_meta( $post_id, $this->get_name('manage_store'), $inventory );

	            // Stock quantity
	            $stock_quantity = isset( $data[$this->get_name('car_count')] ) ? absint( $data[$this->get_name('car_count')] ) : '';
	            update_post_meta( $post_id, $this->get_name('car_count'), $stock_quantity );

	            // Vehicle ids
	            $vehicle_ids = isset( $data[$this->get_name('id_vehicles')] ) ? $data[$this->get_name('id_vehicles')] : '';
	            update_post_meta( $post_id, $this->get_name('id_vehicles'), $vehicle_ids );

	            // Prepare vehicle day
	            $prepare_vehicle_day = isset( $data[$this->get_name('prepare_vehicle_day')] ) ? $data[$this->get_name('prepare_vehicle_day')] : '';
	            update_post_meta( $post_id, $this->get_name('prepare_vehicle_day'), $prepare_vehicle_day );

	            // Preparation time
	            $preparation_time = isset( $data[$this->get_name('preparation_time')] ) ? $data[$this->get_name('preparation_time')] : '';
	            update_post_meta( $post_id, $this->get_name('preparation_time'), $preparation_time );

	            // Order Frontend
	            $order_frontend = isset( $data[$this->get_name('car_order')] ) ? $data[$this->get_name('car_order')] : '';
	            update_post_meta( $post_id, $this->get_name('car_order'), $order_frontend );

	            // Daily
	            $daily_monday = isset( $data[$this->get_name('daily_monday')] ) ? wc_format_decimal( $data[$this->get_name('daily_monday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_monday'), $daily_monday );

	            $daily_tuesday = isset( $data[$this->get_name('daily_tuesday')] ) ? wc_format_decimal( $data[$this->get_name('daily_tuesday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_tuesday'), $daily_tuesday );

	            $daily_wednesday = isset( $data[$this->get_name('daily_wednesday')] ) ? wc_format_decimal( $data[$this->get_name('daily_wednesday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_wednesday'), $daily_tuesday );

	            $daily_thursday = isset( $data[$this->get_name('daily_thursday')] ) ? wc_format_decimal( $data[$this->get_name('daily_thursday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_thursday'), $daily_thursday );

	            $daily_friday = isset( $data[$this->get_name('daily_friday')] ) ? wc_format_decimal( $data[$this->get_name('daily_friday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_friday'), $daily_friday );

	            $daily_saturday = isset( $data[$this->get_name('daily_saturday')] ) ? wc_format_decimal( $data[$this->get_name('daily_saturday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_saturday'), $daily_saturday );

	            $daily_sunday = isset( $data[$this->get_name('daily_sunday')] ) ? wc_format_decimal( $data[$this->get_name('daily_sunday')] ) : '';
	            update_post_meta( $post_id, $this->get_name('daily_sunday'), $daily_sunday );

	            // Guests
	            $max_guests = isset( $data[$this->get_name('max_guests')] ) ? $data[$this->get_name('max_guests')] : '';
	            update_post_meta( $post_id, $this->get_name('max_guests'), $max_guests );

	            $min_guests = isset( $data[$this->get_name('min_guests')] ) ? $data[$this->get_name('min_guests')] : '';
	            update_post_meta( $post_id, $this->get_name('min_guests'), $min_guests );

	            $max_adults = isset( $data[$this->get_name('max_adults')] ) ? $data[$this->get_name('max_adults')] : '';
	            update_post_meta( $post_id, $this->get_name('max_adults'), $max_adults );

	            $min_adults = isset( $data[$this->get_name('min_adults')] ) ? $data[$this->get_name('min_adults')] : '';
	            update_post_meta( $post_id, $this->get_name('min_adults'), $min_adults );

	            if ( apply_filters( 'ovabrw_show_children', true ) ) {
		            $max_children = isset( $data[$this->get_name('max_children')] ) ? $data[$this->get_name('max_children')] : '';
		            update_post_meta( $post_id, $this->get_name('max_children'), $max_children );

		            $min_children = isset( $data[$this->get_name('min_children')] ) ? $data[$this->get_name('min_children')] : '';
		            update_post_meta( $post_id, $this->get_name('min_children'), $min_children );
		        }

		        if ( apply_filters( 'ovabrw_show_babies', true ) ) {
		            $max_babies = isset( $data[$this->get_name('max_babies')] ) ? $data[$this->get_name('max_babies')] : '';
		            update_post_meta( $post_id, $this->get_name('max_babies'), $max_babies );

		            $min_babies = isset( $data[$this->get_name('min_babies')] ) ? $data[$this->get_name('min_babies')] : '';
		            update_post_meta( $post_id, $this->get_name('min_babies'), $min_babies );
		        }

	            // Locations
	            $pickup_location = isset( $data[$this->get_name('st_pickup_loc')] ) ? $data[$this->get_name('st_pickup_loc')] : '';
	            update_post_meta( $post_id, $this->get_name('st_pickup_loc'), $pickup_location );

	            $dropoff_location = isset( $data[$this->get_name('st_dropoff_loc')] ) ? $data[$this->get_name('st_dropoff_loc')] : '';
	            update_post_meta( $post_id, $this->get_name('st_dropoff_loc'), $dropoff_location );

	            // Specifications
	            $specifications = isset( $data[$this->get_name('specifications')] ) ? $data[$this->get_name('specifications')] : '';
	            if ( ! empty( $specifications ) && is_array( $specifications ) ) {
	            	update_post_meta( $post_id, $this->get_name('specifications'), $specifications );
	            }

	            // Features
	            $feature_icons = isset( $data[$this->get_name('features_icons')] ) ? $data[$this->get_name('features_icons')] : '';
	            update_post_meta( $post_id, $this->get_name('features_icons'), $feature_icons );

	            $feature_labels = isset( $data[$this->get_name('features_label')] ) ? $data[$this->get_name('features_label')] : '';
	            update_post_meta( $post_id, $this->get_name('features_label'), $feature_labels );

	            $features_desc = isset( $data[$this->get_name('features_desc')] ) ? $data[$this->get_name('features_desc')] : '';
	            update_post_meta( $post_id, $this->get_name('features_desc'), $features_desc );

	            $features_special = isset( $data[$this->get_name('features_special')] ) ? $data[$this->get_name('features_special')] : 'no';
	            update_post_meta( $post_id, $this->get_name('features_special'), $features_special );

	            $features_featured = isset( $data[$this->get_name('features_featured')] ) ? $data[$this->get_name('features_featured')] : 'no';
	            update_post_meta( $post_id, $this->get_name('features_featured'), $features_featured );

	            // Global Discount
	            $gb_discount_price = isset( $data[$this->get_name('global_discount_price')] ) ? $data[$this->get_name('global_discount_price')] : '';
	            if ( ! empty( $gb_discount_price ) && is_array( $gb_discount_price ) ) {
	            	foreach ( $gb_discount_price as $k => $price ) {
	            		$gb_discount_price[$k] = wc_format_decimal( $price );
	            	}
	            }
	            update_post_meta( $post_id, $this->get_name('global_discount_price'), $gb_discount_price );

	            $gb_discount_min = isset( $data[$this->get_name('global_discount_duration_val_min')] ) ? $data[$this->get_name('global_discount_duration_val_min')] : '';
	            update_post_meta( $post_id, $this->get_name('global_discount_duration_val_min'), $gb_discount_min );

	            $gb_discount_max = isset( $data[$this->get_name('global_discount_duration_val_max')] ) ? $data[$this->get_name('global_discount_duration_val_max')] : '';
	            update_post_meta( $post_id, $this->get_name('global_discount_duration_val_max'), $gb_discount_max );

	            $gb_discount_duration = isset( $data[$this->get_name('global_discount_duration_type')] ) ? $data[$this->get_name('global_discount_duration_type')] : 'day';
	            update_post_meta( $post_id, $this->get_name('global_discount_duration_type'), $gb_discount_duration );

	            // Special Time
	            $st_price = isset( $data[$this->get_name('rt_price')] ) ? $data[$this->get_name('rt_price')] : '';
	            if ( ! empty( $st_price ) && is_array( $st_price ) ) {
	            	foreach ( $st_price as $k => $price ) {
	            		$st_price[$k] = wc_format_decimal( $price );
	            	}
	            }
	            update_post_meta( $post_id, $this->get_name('rt_price'), $st_price );

	            $st_startdate = isset( $data[$this->get_name('rt_startdate')] ) ? $data[$this->get_name('rt_startdate')] : '';
	            update_post_meta( $post_id, $this->get_name('rt_startdate'), $st_startdate );

	            $st_enddate = isset( $data[$this->get_name('rt_enddate')] ) ? $data[$this->get_name('rt_enddate')] : '';
	            update_post_meta( $post_id, $this->get_name('rt_enddate'), $st_enddate );

	            $st_discount = isset( $data[$this->get_name('rt_discount')] ) ? $data[$this->get_name('rt_discount')] : '';
	            if ( ! empty( $st_discount ) && is_array( $st_discount ) ) {
	            	foreach ( $st_discount as $k => $item ) {
	            		$st_discount[$k]['price'] = wc_format_decimal( $item['price'] );
	            	}
	            }
	            update_post_meta( $post_id, $this->get_name('rt_discount'), $st_discount );

	            // Resources
	            $resource_ids = isset( $data[$this->get_name('resource_id')] ) ? $data[$this->get_name('resource_id')] : '';
	            update_post_meta( $post_id, $this->get_name('resource_id'), $resource_ids );

	            $resource_names = isset( $data[$this->get_name('resource_name')] ) ? $data[$this->get_name('resource_name')] : '';
	            update_post_meta( $post_id, $this->get_name('resource_name'), $resource_names );

	            $resource_prices = isset( $data[$this->get_name('resource_price')] ) ? $data[$this->get_name('resource_price')] : '';
	            if ( ! empty( $resource_prices ) && is_array( $resource_prices ) ) {
	            	foreach ( $resource_prices as $k => $price ) {
	            		$resource_prices[$k] = wc_format_decimal( $price );
	            	}
	            }
	            update_post_meta( $post_id, $this->get_name('resource_price'), $resource_prices );

	            $resource_quantity = isset( $data[$this->get_name('resource_quantity')] ) ? $data[$this->get_name('resource_quantity')] : '';
	            update_post_meta( $post_id, $this->get_name('resource_quantity'), $resource_quantity );

	            $resource_duration = isset( $data[$this->get_name('resource_duration_type')] ) ? $data[$this->get_name('resource_duration_type')] : 'day';
	            update_post_meta( $post_id, $this->get_name('resource_duration_type'), $resource_duration );

	            // Services
	            $service_lables = isset( $data[$this->get_name('label_service')] ) ? $data[$this->get_name('label_service')] : '';
	            update_post_meta( $post_id, $this->get_name('label_service'), $service_lables );

	            $service_required = isset( $data[$this->get_name('service_required')] ) ? $data[$this->get_name('service_required')] : 'yes';
	            update_post_meta( $post_id, $this->get_name('service_required'), $service_required );

	            $service_ids = isset( $data[$this->get_name('service_id')] ) ? $data[$this->get_name('service_id')] : '';
	            update_post_meta( $post_id, $this->get_name('service_id'), $service_ids );

	            $service_names = isset( $data[$this->get_name('service_name')] ) ? $data[$this->get_name('service_name')] : '';
	            update_post_meta( $post_id, $this->get_name('service_name'), $service_names );

	            $service_prices = isset( $data[$this->get_name('service_price')] ) ? $data[$this->get_name('service_price')] : '';
	            if ( ! empty( $service_prices ) && is_array( $service_prices ) ) {
	            	foreach ( $service_prices as $k => $items ) {
	            		if ( ! empty( $items ) && is_array( $items ) ) {
	            			foreach ( $items as $i => $price ) {
	            				$service_prices[$k][$i] = wc_format_decimal( $price );
	            			}
	            		}
	            	}
	            }
	            update_post_meta( $post_id, $this->get_name('service_price'), $service_prices );

	            $service_qty = isset( $data[$this->get_name('service_qty')] ) ? $data[$this->get_name('service_qty')] : '';
	            update_post_meta( $post_id, $this->get_name('service_qty'), $service_qty );

	            $service_duration = isset( $data[$this->get_name('service_duration_type')] ) ? $data[$this->get_name('service_duration_type')] : '';
	            update_post_meta( $post_id, $this->get_name('service_duration_type'), $service_duration );

	            // Unavailable time
	            $untime_startdate = isset( $data[$this->get_name('untime_startdate')] ) ? $data[$this->get_name('untime_startdate')] : '';
	            update_post_meta( $post_id, $this->get_name('untime_startdate'), $untime_startdate );

	            $untime_enddate = isset( $data[$this->get_name('untime_enddate')] ) ? $data[$this->get_name('untime_enddate')] : '';
	            update_post_meta( $post_id, $this->get_name('untime_enddate'), $untime_enddate );

	            // Disable weekday
	            $disable_weekday = isset( $data[$this->get_name('product_disable_week_day')] ) ? $data[$this->get_name('product_disable_week_day')] : '';
	            update_post_meta( $post_id, $this->get_name('product_disable_week_day'), $disable_weekday );

	            // Max rent day
	            $max_rent_day = isset( $data[$this->get_name('rent_day_max')] ) ? $data[$this->get_name('rent_day_max')] : '';
	            update_post_meta( $post_id, $this->get_name('rent_day_max'), $max_rent_day );

	            // Min rent day
	            $min_rent_day = isset( $data[$this->get_name('rent_day_min')] ) ? $data[$this->get_name('rent_day_min')] : '';
	            update_post_meta( $post_id, $this->get_name('rent_day_min'), $min_rent_day );

	            // Extra Tab
	            $extra_tab = isset( $data[$this->get_name('manage_extra_tab')] ) ? $data[$this->get_name('manage_extra_tab')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('manage_extra_tab'), $extra_tab );

	            if ( $extra_tab === 'new_form' ) {
	            	$extra_tab_shortcode = isset( $data[$this->get_name('extra_tab_shortcode')] ) ? $data[$this->get_name('extra_tab_shortcode')] : '';
	            	update_post_meta( $post_id, $this->get_name('extra_tab_shortcode'), $extra_tab_shortcode );
	            }

	            // Custom Checkout Field
	            $checkout_field = isset( $data[$this->get_name('manage_custom_checkout_field')] ) ? $data[$this->get_name('manage_custom_checkout_field')] : 'all';
	            update_post_meta( $post_id, $this->get_name('manage_custom_checkout_field'), $checkout_field );

	            if ( $checkout_field === 'new' ) {
	            	$new_checkout_field = isset( $data[$this->get_name('product_custom_checkout_field')] ) ? $data[$this->get_name('product_custom_checkout_field')] : '';
	            	update_post_meta( $post_id, $this->get_name('product_custom_checkout_field'), $new_checkout_field );
	            }

	            // Show Pick-Up Location
	            $show_pickup_location = isset( $data[$this->get_name('show_pickup_location_product')] ) ? $data[$this->get_name('show_pickup_location_product')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('show_pickup_location_product'), $show_pickup_location );

	            $show_other_pickup_location = isset( $data[$this->get_name('show_other_location_pickup_product')] ) ? $data[$this->get_name('show_other_location_pickup_product')] : 'yes';
	            update_post_meta( $post_id, $this->get_name('show_other_location_pickup_product'), $show_other_pickup_location );

	            // Show Drop-Off Location
	            $show_dropoff_location = isset( $data[$this->get_name('show_pickoff_location_product')] ) ? $data[$this->get_name('show_pickoff_location_product')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('show_pickoff_location_product'), $show_dropoff_location );

	            $show_other_dropoff_location = isset( $data[$this->get_name('show_other_location_dropoff_product')] ) ? $data[$this->get_name('show_other_location_dropoff_product')] : 'yes';
	            update_post_meta( $post_id, $this->get_name('show_other_location_dropoff_product'), $show_other_dropoff_location );

	            // Show Pick-up Date
	            $show_pickup_date = isset( $data[$this->get_name('show_pickup_date_product')] ) ? $data[$this->get_name('show_pickup_date_product')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('show_pickup_date_product'), $show_pickup_date );

	            $pickup_date_label = isset( $data[$this->get_name('label_pickup_date_product')] ) ? $data[$this->get_name('label_pickup_date_product')] : 'category';
	            update_post_meta( $post_id, $this->get_name('label_pickup_date_product'), $pickup_date_label );

	            if ( $pickup_date_label === 'new' ) {
	            	$new_pickup_date_label = isset( $data[$this->get_name('new_pickup_date_product')] ) ? $data[$this->get_name('new_pickup_date_product')] : '';
	            	update_post_meta( $post_id, $this->get_name('new_pickup_date_product'), $new_pickup_date_label );
	            }

	            // Show Drop-off Date
	            $show_dropoff_date = isset( $data[$this->get_name('show_pickoff_date_product')] ) ? $data[$this->get_name('show_pickoff_date_product')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('show_pickoff_date_product'), $show_dropoff_date );

	            $dropoff_date_label = isset( $data[$this->get_name('label_dropoff_date_product')] ) ? $data[$this->get_name('label_dropoff_date_product')] : 'category';
	            update_post_meta( $post_id, $this->get_name('label_dropoff_date_product'), $dropoff_date_label );

	            if ( $dropoff_date_label === 'new' ) {
	            	$new_dropoff_date_label = isset( $data[$this->get_name('new_dropoff_date_product')] ) ? $data[$this->get_name('new_dropoff_date_product')] : '';
	            	update_post_meta( $post_id, $this->get_name('new_dropoff_date_product'), $new_dropoff_date_label );
	            }

	            // Show Quantity
	            $show_quantity = isset( $data[$this->get_name('show_number_vehicle')] ) ? $data[$this->get_name('show_number_vehicle')] : 'in_setting';
	            update_post_meta( $post_id, $this->get_name('show_number_vehicle'), $show_quantity );

	            // Google map
	            $map_name = isset( $data[$this->get_name('map_name')] ) ? $data[$this->get_name('map_name')] : '';
	            update_post_meta( $post_id, $this->get_name('map_name'), $map_name );

	            $address = isset($data[$this->get_name('address')]) ? $data[$this->get_name('address')] : '';
	            update_post_meta( $post_id, $this->get_name('address'), $address );

	            $latitude = isset($data[$this->get_name('latitude')]) ? $data[$this->get_name('latitude')] : '';
	            update_post_meta( $post_id, $this->get_name('latitude'), $latitude );

	            $longitude = isset($data[$this->get_name('longitude')]) ? $data[$this->get_name('longitude')] : '';
	            update_post_meta( $post_id, $this->get_name('longitude'), $longitude );
            }
		}

		public function create_order_get_meta_boxes_html( $args = [] ) {
			ob_start();
			include( OVABRW_PLUGIN_PATH.'admin/orders/views/html-create-order-rental-hotel.php' );
			return ob_get_clean();
		}

		public function get_price_html( $currency = '' ) {
			$price = floatval( $this->get_value( 'regular_price_hotel' ) );
			
			return sprintf( esc_html__( '%s / Day', 'ova-brw' ), ovabrw_wc_price( $price, ['currency' => $currency] ) );
		}

		public static function instance() {
			if ( is_null( self::$_instance ) ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}
	}
}