<?php defined( 'ABSPATH' ) || exit();

if ( $this->show_date( 'dropoff' ) ):
	$date_placeholder 	= ovabrw_get_placeholder_date().' '.ovabrw_get_placeholder_time();
	$disable_weekdays 	= $this->get_value( 'product_disable_week_day' );
	$disabled_dates 	= isset( $args['order_time'] ) ? $args['order_time'] : [];
	$time_picker 		= true;
	$allow_times 		= '';
	$default_time 		= '';

	// Allow times
	$time_book_end = $this->get_value( 'manage_time_book_end' );
	if ( $time_book_end === 'new_time' ) {
		$allow_times = $this->get_value( 'product_time_to_book_end' );
	}

	// Period Time
	if ( in_array( $this->type, [ 'hotel' ] ) ) $time_book_end = 'no';

	if ( $time_book_end === 'no' ) {
		$time_picker = false;
		$date_placeholder = ovabrw_get_placeholder_date();
	} else {
		$hour_start = $this->get_value( 'manage_default_hour_end' );

		if ( $hour_start === 'new_time' ) {
			$default_time = $this->get_value( 'product_default_hour_end' );
		}
	}

	// Rental: transportation
	if ( $this->type === 'transportation' ) {
		$show_dropoff_date = $this->get_value( 'dropoff_date_by_setting' );

		if ( $show_dropoff_date != 'yes' ) return;
	}
?>
	<div class="rental_item ovabrw-dropoff">
	    <label for="ovabrw-pickup-date">
	        <?php esc_html_e( 'Drop-off Date *', 'ova-brw' ); ?>
	    </label>
	    <input
	    	type="text"
	        name="ovabrw_pickoff_date[]"
	        id="ovabrw-dropoff-date"
	        class="required ovabrw_end_date ovabrw_datetimepicker"
	        placeholder="<?php echo esc_attr( $date_placeholder ); ?>"
	        data-disable-weekdays="<?php echo esc_attr( $disable_weekdays ); ?>"
	        data-disabled-dates="<?php echo esc_attr( json_encode( $disabled_dates ) ); ?>"
	        data-time-picker="<?php echo esc_attr( $time_picker ); ?>"
	        data-allow-times="<?php echo esc_attr( $allow_times ); ?>"
	        data-default-time="<?php echo esc_attr( $default_time ); ?>"
	        autocomplete="off"
	        required
	    />
	    <div class="error_item">
	        <label><?php esc_html_e( 'This field is required', 'ova-brw' ); ?></label>
	    </div>
	</div>
<?php endif; ?>