<?php defined( 'ABSPATH' ) || exit();
	// Adults
	$min_adults = intval( $this->get_value( 'min_adults' ) );
	$max_adults = $this->get_value( 'max_adults' );

	// Children
    if ( apply_filters( 'ovabrw_show_children', true ) ) {
        $min_children = intval( $this->get_value( 'min_children' ) );
        $max_children = $this->get_value( 'max_children' );
    }

    // Babies
    if ( apply_filters( 'ovabrw_show_babies', true ) ) {
        $min_babies = intval( $this->get_value( 'min_babies' ) );
        $max_babies = $this->get_value( 'max_babies' );
    }
?>

<div class="rental_item ovabrw-guests">
    <label><?php esc_html_e( 'Adults', 'ova-brw' ); ?></label>
    <input
        type="number"
        name="ovabrw_adults[]"
        class="ovabrw_adults required"
        value="<?php echo esc_attr( $min_adults ); ?>"
        min="<?php echo esc_attr( $min_adults ); ?>"
        max="<?php echo esc_attr( $max_adults ); ?>"
    />
</div>
<?php if ( apply_filters( 'ovabrw_show_children', true ) ): ?>
	<div class="rental_item ovabrw-guests">
	    <label><?php esc_html_e( 'Children', 'ova-brw' ); ?></label>
	    <input
	        type="number"
	        name="ovabrw_children[]"
	        class="ovabrw_children required"
	        value="<?php echo esc_attr( $min_children ); ?>"
	        min="<?php echo esc_attr( $min_children ); ?>"
	        max="<?php echo esc_attr( $max_children ); ?>"
	    />
	</div>
<?php endif; ?>
<?php if ( apply_filters( 'ovabrw_show_babies', true ) ): ?>
	<div class="rental_item ovabrw-guests">
	    <label><?php esc_html_e( 'Babies', 'ova-brw' ); ?></label>
	    <input
	        type="number"
	        name="ovabrw_babies[]"
	        class="ovabrw_babies required"
	        value="<?php echo esc_attr( $min_babies ); ?>"
	        min="<?php echo esc_attr( $min_babies ); ?>"
	        max="<?php echo esc_attr( $max_babies ); ?>"
	    />
	</div>
<?php endif; ?>