<?php defined( 'ABSPATH' ) || exit();

$manage_store = $this->get_value( 'manage_store' );

if ( $manage_store === 'store' ):
    if ( $this->show_quantity() ):
?>
    <div class="rental_item show_number_vehicle">
        <label for="ovabrw_number_vehicle">
            <?php esc_html_e( 'Quantity', 'ova-brw' ); ?>
        </label>
        <input
            type="number"
            name="ovabrw_number_vehicle[]"
            class="required ovabrw_number_vehicle"
            autocomplete="off"
            value="1"
            min="1"
            max="1"
        />
        <label class="ovabrw_number_available_vehicle" style="color:<?php echo get_option( 'ova_brw_bg_calendar', '#c4c4c4' ); ?>; font-size: 1em;"></label>
    </div>
    <?php endif; ?>
<?php else:
    $vehicle_ids = $this->get_value( 'id_vehicles', [] );
?>
    <div class="rental_item ovabrw-id-vehicle">
        <label for="ovabrw-id-vehicle">
            <?php esc_html_e( 'Vehicle ID', 'ova-brw' ); ?>
        </label>
        <span class="ovabrw-id-vehicle-span">
            <select name="ovabrw_id_vehicle[]" id="ovabrw-id-vehicle" class="select_ovabrw_id_vehicle">
            <?php if ( $this->is_array_exists( $vehicle_ids ) ): ?>
                <?php foreach ( $vehicle_ids as $vehicle_id ): ?>
                    <option value="<?php echo esc_attr( $vehicle_id ); ?>">
                        <?php echo esc_html( $vehicle_id ); ?>
                    </option>
                <?php endforeach; ?>
            <?php else: ?>
                <option value=""><?php esc_html_e( 'No vehicle', 'ova-brw' ); ?></option>
            <?php endif; ?>
            </select>
        </span>
        <div class="error_item">
            <label><?php esc_html_e( 'This field is required', 'ova-brw' ); ?></label>
        </div>
    </div>
<?php endif; ?>