<?php defined( 'ABSPATH' ) || exit();
	$products           = OVABRW_Admin_Meta_Boxes::instance()->get_rental_product_ids();
    $date_format        = ovabrw_get_date_format();
    $datetime_format    = ovabrw_get_date_format().' '.ovabrw_get_time_format_php();
?>
<div class="ovabrw-order">
    <div class="item">
        <div class="sub-item">
            <h3 class="title"><?php esc_html_e('Product', 'ova-brw') ?></h3>
            <div class="rental_item">
                <label for="ovabrw-name-product">
                    <?php esc_html_e( 'Name Product', 'ova-brw' ); ?>
                </label>
                <select
                    id="ovabrw-name-product"
                    class="ovabrw_name_product"
                    name="ovabrw_name_product[]"
                    data-symbol="<?php echo esc_attr( get_woocommerce_currency_symbol() ); ?>"
                    data-date_format="<?php echo esc_attr( $datetime_format ); ?>"
                    data-short_date_format="<?php echo esc_attr( $date_format ); ?>"
                    required>
                    <option value=""><?php esc_html_e( 'Select Product', 'ova-brw' ); ?></option>
                    <?php foreach ( $products as $product_id ): ?>
                        <option value="<?php echo esc_attr( $product_id ); ?>">
                            <?php echo esc_html( get_the_title( $product_id ) ); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
                <div class="ovabrw-rental-type-loading">
                    <span class="dashicons-before dashicons-update-alt"></span>
                </div>
            </div>
        </div>
    </div>
    <span class="button ovabrw-remove-order-item">x</span>
</div>