<?php if ( ! defined( 'ABSPATH' ) ) exit();

if ( ! class_exists( 'OVABRW_Admin_List_Orders' ) ) return;

$manage_booking = new OVABRW_Admin_List_Orders();
$manage_booking->prepare_items();

$product_ids            = OVABRW_Get_Data::instance()->get_product_ids_by_rental_type();
$order_number           = isset( $_POST['order_number'] ) ? sanitize_text_field( $_POST['order_number'] ) : '';
$name_customer          = isset( $_POST['name_customer'] ) ? sanitize_text_field( $_POST['name_customer'] ) : '';
$current_room_id        = isset( $_POST['room_id'] ) ? sanitize_text_field( $_POST['room_id'] ) : '';
$room_code              = isset( $_POST['room_code'] ) ? sanitize_text_field( $_POST['room_code'] ) : '';
$check_in_out           = isset( $_POST['check_in_out'] ) ? sanitize_text_field( $_POST['check_in_out'] ) : '';
$filter_order_status    = isset( $_POST['filter_order_status'] ) ? sanitize_text_field( $_POST['filter_order_status'] ) : '';
$from_day               = isset( $_POST['from_day'] ) ? sanitize_text_field( $_POST['from_day'] ) : '';
$to_day                 = isset( $_POST['to_day'] ) ? sanitize_text_field( $_POST['to_day'] ) : '';
$all_locations          = OVABRW_Get_Data::instance()->get_all_location_ids();
$current_pickup_loc     = isset( $_POST['pickup_loc'] ) ? sanitize_text_field( $_POST['pickup_loc'] ) : '';
$current_pickoff_loc    = isset( $_POST['pickoff_loc'] ) ? sanitize_text_field( $_POST['pickoff_loc'] ) : '';
$vehicle_ids            = OVABRW_Get_Data::instance()->get_all_vehicle_ids();

$id         = get_option( 'admin_manage_order_show_id', 1 );
$customer   = get_option( 'admin_manage_order_show_customer', 2 );
$time       = get_option( 'admin_manage_order_show_time', 3 );
$location   = get_option( 'admin_manage_order_show_location', 4 );
$deposit    = get_option( 'admin_manage_order_show_deposit', 5 );
$insurance  = get_option( 'admin_manage_order_show_insurance', 6 );
$vehicle    = get_option( 'admin_manage_order_show_vehicle', 7 );
$product    = get_option( 'admin_manage_order_show_product', 8 );
$status     = get_option( 'admin_manage_order_show_order_status', 9 );
?>
<div class="wrap">
    <form id="booking-filter" method="POST" action="<?php echo admin_url('/edit.php?post_type=product&page=ovabrw-manage-order'); ?>">
        <h2><?php esc_html_e( 'Manage Order', 'ova-brw' ); ?></h2>
        <div class="booking_filter">
        <?php if ( $id ): ?>
            <input
                type="text"
                name="order_number"
                value="<?php echo esc_attr( $order_number ); ?>"
                placeholder="<?php esc_html_e('Order ID', 'ova-brw'); ?>"
                autocomplete="off"
            />
        <?php endif; ?>
        <?php if ( $customer ): ?>
            <input
                type="text"
                name="name_customer"
                value="<?php echo esc_attr( $name_customer ); ?>"
                placeholder="<?php esc_html_e('Customer Name', 'ova-brw'); ?>"
                autocomplete="off"
            />
        <?php endif; ?>
        <?php if ( $time ): ?>
            <select name="check_in_out">
                <option value=""><?php esc_html_e( '-- All --', 'ova-brw' ); ?></option>
                <option value="check_in"<?php selected( $check_in_out, 'check_in' ); ?>>
                    <?php esc_html_e( 'Check-in date', 'ova-brw' ); ?>
                </option>
                <option value="check_out"<?php selected( $check_in_out, 'check_out' ); ?>>
                    <?php esc_html_e( 'Check-out date', 'ova-brw' ); ?>
                </option>
            </select>
        <?php endif; ?>
            <input
                type="text"
                name="from_day"
                class="ovabrw_datetimepicker ova-date-search date_book"
                value="<?php echo esc_attr( $from_day ); ?>"
                placeholder="<?php esc_html_e('From date', 'ova-brw'); ?>"
                autocomplete="off"
            />
            <input
                type="text"
                name="to_day"
                class="ovabrw_datetimepicker ova-date-search date_book"
                value="<?php echo esc_attr( $to_day ); ?>" 
                placeholder="<?php esc_html_e('To date', 'ova-brw'); ?>"
                autocomplete="off"
            />
        <?php if ( $vehicle ): ?>
            <select name="room_code">
                <option value="" <?php selected( '', $room_code, 'selected'); ?>>
                    <?php esc_html_e( '-- Vehicle --', 'ova-brw' ); ?>
                </option>
                <?php 
                    if ( ! empty( $vehicle_ids ) && is_array( $vehicle_ids ) ) {
                        foreach ( $vehicle_ids as $v_id ) {
                            $vehicle_id = get_post_meta( $v_id, 'ovabrw_id_vehicle', true );
                            ?>
                            <option value="<?php echo esc_attr( $vehicle_id ); ?>"<?php selected( $vehicle_id, $room_code ); ?>>
                                <?php echo get_the_title( $v_id ); ?>
                            </option>
                            <?php
                        }
                    }
                ?>
            </select>
        <?php endif; ?>
        <?php if ( $location ): ?>
            <select name="pickup_loc">
                <option value="" <?php selected( '', $current_pickup_loc, 'selected'); ?>>
                    <?php esc_html_e( '-- Pick-up Location --', 'ova-brw' ); ?>
                </option>
                <?php
                    if ( ! empty( $all_locations ) && is_array( $all_locations ) ) {
                        foreach ( $all_locations as $location_id ) { ?>
                            <option value="<?php echo esc_attr( get_the_title( $location_id ) ); ?>"<?php selected( get_the_title( $location_id ), $current_pickup_loc ); ?>>
                                <?php echo esc_html( get_the_title( $location_id ) ); ?>
                            </option>
                        <?php }
                    }
                ?>
            </select> 
        <?php endif; ?>
        <?php if ( $location ): ?>
            <select name="pickoff_loc">
                <option value="" <?php selected( '', $current_pickoff_loc, 'selected'); ?>>
                    <?php esc_html_e( '-- Drop-off Location --', 'ova-brw' ); ?>
                </option>
                <?php
                    if ( ! empty( $all_locations ) && is_array( $all_locations ) ) {
                        foreach ( $all_locations as $location_id ) { ?>
                            <option value="<?php echo esc_attr( get_the_title( $location_id ) ); ?>"<?php selected( get_the_title( $location_id ), $current_pickup_loc ); ?>>
                                <?php echo esc_html( get_the_title( $location_id ) ); ?>
                            </option>
                        <?php }
                    }
                ?>
            </select>
        <?php endif; ?>
        <?php if ( $product ): ?>
            <select name="room_id">
                <option value=""<?php selected( '', $current_room_id ); ?>>
                    <?php esc_html_e( '-- Choose Product --', 'ova-brw' ); ?>
                </option>
                <?php
                    if ( ! empty( $product_ids ) && is_array( $product_ids ) ) {
                        foreach ( $product_ids as $product_id ) { ?>
                            <option value="<?php echo esc_attr( $product_id ); ?>"<?php selected( $product_id, $current_room_id ); ?>>
                                <?php echo get_the_title( $product_id ); ?>
                            </option>
                        <?php }
                    }
                ?>
            </select>
        <?php endif; ?>
        <?php if ( $status ): ?>
            <select name="filter_order_status" >
                <option value="">
                    <?php esc_html_e( '--Order Status--', 'ova-brw' ); ?>
                </option>
                <option value="wc-completed"<?php selected( $filter_order_status, 'wc-completed' ); ?>>
                    <?php esc_html_e( 'Completed', 'ova-brw' ); ?>
                </option>
                <option value="wc-processing"<?php selected( $filter_order_status, 'wc-processing' ); ?>>
                    <?php esc_html_e( 'Processing', 'ova-brw' ); ?>
                </option>
                <option value="wc-pending"<?php selected( $filter_order_status, 'wc-pending' ); ?>>
                    <?php esc_html_e( 'Pending payment', 'ova-brw' ); ?>
                </option>
                <option value="wc-on-hold"<?php selected( $filter_order_status, 'wc-on-hold' ); ?>>
                    <?php esc_html_e( 'On hold', 'ova-brw' ); ?>
                </option>
                <option value="wc-cancelled"<?php selected( $filter_order_status, 'wc-cancelled' ); ?>>
                    <?php esc_html_e( 'Cancel', 'ova-brw' ); ?>
                </option>
                <option value="wc-closed"<?php selected( $filter_order_status, 'wc-closed' ); ?>>
                    <?php esc_html_e( 'Closed', 'ova-brw' ); ?>
                </option>
            </select>
        <?php endif; ?>
            &nbsp;&nbsp;&nbsp;
            <button type="submit" class="button"><?php esc_html_e( 'Filter', 'ova-brw' ); ?></button>
        </div>
        <input type="hidden" name="post_type" value="product" />
        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
        <?php $manage_booking->display() ?>
    </form>
</div>