<?php if ( ! defined( 'ABSPATH' ) ) exit();

$list_fields = recursive_array_replace( '\\', '', get_option( 'ovabrw_custom_taxonomy', array() ) );

if ( isset( $_POST ) && $_POST ) {
    $_POST = recursive_array_replace( '\\', '', $_POST );
}

$action_popup   = isset( $_POST['ova_action'] ) ? sanitize_text_field( $_POST['ova_action'] ) : '';
$slug           = isset( $_POST['slug'] ) ? sanitize_text_field( $_POST['slug'] ) : '';

if ( $action_popup == 'new' ) {
    $slug = apply_filters( 'ovabrw_prefix_cus_tax', 'brw_' ) . $slug;
}

if ( current_user_can('publish_posts') ) {
    //Update popup (Add New and Edit)
    if ( ! empty( $action_popup ) ) {
        if ( isset( $_POST ) && array_key_exists( 'name', $_POST ) && ! empty( $_POST['name'] ) && array_key_exists( 'slug', $_POST ) && ! empty( $_POST['slug'] ) && array_key_exists( 'singular_name', $_POST ) && ! empty( $_POST['singular_name'] ) ) {
            $list_fields[$slug] = array(
                'name'              => isset( $_POST['name'] ) ? sanitize_text_field( $_POST['name'] ): '',
                'singular_name'     => isset( $_POST['singular_name'] ) ? sanitize_text_field( $_POST['singular_name'] ) : '',
                'label_frontend'    => isset( $_POST['label_frontend'] ) ? sanitize_text_field( $_POST['label_frontend'] ) : '',
                'enabled'           => ( isset( $_POST['enabled'] ) && $_POST['enabled'] != '' ) ? 'on' : '',
                'show_listing'      => ( isset( $_POST['show_listing'] ) && $_POST['show_listing'] != '' ) ? 'on' : '',
                
            );
        }
    
        if ( isset( $_POST ) ) {
            if ( $action_popup == 'new' ) {
                update_option('ovabrw_custom_taxonomy', $list_fields);
            } elseif ( $action_popup == 'edit' ) {
                $old_slug = isset( $_POST['ova_old_slug'] ) ? $_POST['ova_old_slug'] : '';

                if ( ! empty( $old_slug ) && array_key_exists( $old_slug, $list_fields ) && $old_slug != $slug  ) {
                    unset($list_fields[$old_slug]);
                }
                if ( ! $slug ) {
                    unset($list_fields[$slug]);
                }

                update_option('ovabrw_custom_taxonomy', $list_fields);
            }
        }
    }
    //end popup
    // Update in Listing custom post type (Remove, Enable, Disable)
    $action_update = isset( $_POST['ovabrw_update_table'] ) ? sanitize_text_field( $_POST['ovabrw_update_table'] ) : '';

    if ( $action_update === 'update_table' ) {
        if ( isset( $_POST['remove'] ) && $_POST['remove'] == 'remove' ) {
            $select_field = isset( $_POST['select_field'] ) ? $_POST['select_field'] : [];

            if ( is_array( $select_field ) && ! empty( $select_field ) ) {
                foreach ( $select_field as $field ) {
                    if ( array_key_exists( $field, $list_fields ) ) {
                        unset( $list_fields[$field] );
                    }
                }
            }
        }

        if ( isset( $_POST['enable'] ) && $_POST['enable'] == 'enable' ) {
            $select_field = isset( $_POST['select_field'] ) ? $_POST['select_field'] : [];

            if ( is_array( $select_field ) && ! empty( $select_field ) ) {
                foreach ( $select_field as $field ) {
                    if ( ! empty( $field ) && array_key_exists( $field, $list_fields ) ) {
                        $list_fields[$field]['enabled'] = 'on';
                    }
                }
            }
        }

        if ( isset( $_POST['disable'] ) && $_POST['disable'] == 'disable' ) {
            $select_field = isset( $_POST['select_field'] ) ? $_POST['select_field'] : [];

            if ( is_array( $select_field ) && ! empty( $select_field ) ) {
                foreach ( $select_field as $field ) {
                    if ( ! empty( $field ) && array_key_exists( $field, $list_fields ) ) {
                        $list_fields[$field]['enabled'] = '';
                    }
                }
            }
        }

        update_option('ovabrw_custom_taxonomy', $list_fields);
    }
} else {
    if ( $action_popup === 'new' && ! array_key_exists( $slug, $list_fields ) ) {
        if ( isset( $_POST ) && array_key_exists( 'name', $_POST ) && ! empty( $_POST['name'] ) && array_key_exists( 'slug', $_POST ) && !empty( $_POST['slug'] ) && array_key_exists( 'singular_name', $_POST ) && ! empty( $_POST['singular_name'] ) ) {
            $list_fields[$slug] = array(
                'name'              => isset( $_POST['name'] ) ? sanitize_text_field( $_POST['name'] ): '',
                'singular_name'     => isset( $_POST['singular_name'] ) ? sanitize_text_field( $_POST['singular_name'] ) : '',
                'label_frontend'    => isset( $_POST['label_frontend'] ) ? sanitize_text_field( $_POST['label_frontend'] ) : '',
                'enabled'           => '',
                'show_listing'      => isset( $_POST['show_listing'] ) && $_POST['show_listing'] != '' ? 'on' : '',
            );

            update_option('ovabrw_custom_taxonomy', $list_fields);
        }
    }
}
?>
<div class="wrap">
    <div class="ova-list-checkout-field">
        <form method="post" id="ova_update_form" action="">
            <input type="hidden" name="ovabrw_update_table" value="update_table" >
            <table cellspacing="0" cellpadding="10px">
                <thead>
                    <th colspan="6">
                        <button type="button" class="button button-primary" id="ovabrw_openform">
                            + <?php esc_html_e( 'Add Taxonomy', 'ova-brw' ); ?>
                        </button>
                        <input type="submit" class="button" name="remove" value="remove"  >
                        <input type="submit" class="button" name="enable" value="enable" >
                        <input type="submit" class="button" name="disable" value="disable" >
                    </th>
                    <tr>
                        <th class="check-column">
                            <input type="checkbox" style="margin:0px 4px -1px -1px;" id="ovabrw_select_all_field" />
                        </th>
                        <th class="slug">
                            <?php esc_html_e('Slug', 'ova-brw'); ?>
                        </th>
                        <th class="name">
                            <?php esc_html_e('Name', 'ova-brw'); ?>
                        </th>
                        <th class="singular_name">
                            <?php esc_html_e('Singular name', 'ova-brw'); ?>
                        </th>
                         <th class="label_frontend">
                            <?php esc_html_e('Label Frontend', 'ova-brw'); ?>
                        </th>
                        <th class="manage_tax">
                            <?php esc_html_e('Manage Taxonomy', 'ova-brw'); ?>
                        </th>
                        <th class="status">
                            <?php esc_html_e('Enabled', 'ova-brw'); ?>
                        </th>
                        <th class="status">
                            <?php esc_html_e('Show in Listing', 'ova-brw'); ?>
                        </th>    
                        <th class="action">
                            <?php esc_html_e('Edit', 'ova-brw'); ?>
                        </th>   
                    </tr>
                </thead>
                <tbody>
                    <?php if ( ! empty( $list_fields ) ):
                        foreach ( $list_fields as $key => $field ):
                            $slug = $key;
                            $name = array_key_exists( 'name', $field ) ? $field['name'] : '';
                            $singular_name  = array_key_exists( 'singular_name', $field ) ? $field['singular_name'] : '';
                            $label_frontend = array_key_exists( 'label_frontend', $field ) ? $field['label_frontend'] : '';
                            $enabled        = array_key_exists( 'enabled', $field ) ? $field['enabled'] : '';
                            $show_listing   = array_key_exists( 'show_listing', $field ) ? $field['show_listing'] : '';
                            $enabled_status = $enabled ? '<span class="dashicons dashicons-yes tips" data-tip="Yes"></span>' : '-';
                            $show_listing_status = $show_listing ? '<span class="dashicons dashicons-yes tips" data-tip="Yes"></span>' : '-';

                            $class_disable  = ! $enabled ? 'class="ova-disable"' : '';
                            $disable_button = ! $enabled ? 'disabled' : '';
                            $value_enabled  = $enabled == 'on' ? $slug : '';
                            
                            $data_edit = [
                                'slug'              => $slug,
                                'name'              => $name,
                                'singular_name'     => $singular_name,
                                'label_frontend'    => $label_frontend,
                                'show_listing'      => $show_listing,
                                'enabled'           => $enabled
                                
                            ];

                            $data_edit = json_encode( $data_edit );
                        ?>
                    <tr <?php echo $class_disable; ?>>
                        <input type="hidden" name="remove_field[]" value="">
                        <input type="hidden" name="enable_field[]" value="<?php echo esc_attr( $value_enabled ); ?>">
                        <td class="ova-checkbox">
                            <input type="checkbox" name="select_field[]" value="<?php echo $slug; ?>" />
                        </td>
                        <td class="ova-slug">
                            <?php echo esc_html( $slug ); ?>
                        </td>
                        <td class="ova-name">
                            <?php echo esc_html( $name ); ?>
                        </td>
                        <td class="ova-singular_name">
                            <?php echo esc_html( $singular_name ); ?>
                        </td>
                        <td class="ova-label-frontend">
                            <?php echo esc_html( $label_frontend ); ?>
                        </td>
                        <td>
                        <?php
                            $terms = get_terms( array(
                                'taxonomy'      => $slug,
                                'hide_empty'    => false
                            ));
                        ?>
                            <a href="<?php echo admin_url('edit-tags.php?post_type=product&taxonomy='.$slug); ?>" title="<?php esc_html_e( 'Manage Taxonomy: Add/Update value of taxonomy', 'ova-brw' ); ?>">
                                <i class="dashicons dashicons-category"></i>
                                (<?php echo ! is_wp_error( $terms ) ? count( $terms ): 0; ?>)    
                            </a>
                        </td>
                        <td class="ova-enable status">
                            <?php echo $enabled_status; ?>
                        </td>
                        <td class="ova-show-listing status">
                            <?php echo $show_listing_status; ?>
                        </td>
                        <td class="ova-edit edit">
                            <button type="button" <?php echo esc_attr( $disable_button ); ?> class="button ova-button ovabrw_edit_field_form" data-data_edit="<?php echo esc_attr( $data_edit ); ?>" >
                                <?php esc_html_e( 'Edit', 'ova-brw' ); ?>
                            </button>
                        </td>
                    </tr>
                    <?php endforeach; endif; ?>           
                </tbody>
            </table>
        </form>
    </div>
    <div class="ova-wrap-popup-ckf">
        <div id="ova_new_field_form" class="ova-popup-wrapper">
            <a href="javascript:void(0)" class="close_popup" id="ovabrw_close_popup" >X</a>
            <?php $this->ova_output_popup_custom_tax_form( 'new', $list_fields ); ?>
        </div>
    </div>
</div>