<?php if ( ! defined( 'ABSPATH' ) ) exit();

if ( ! class_exists( 'OVABRW_Rental_Settings' ) ) {
    class OVABRW_Rental_Settings {
        public function __construct() {
			add_filter( 'woocommerce_get_settings_pages', array( $this, 'ovabrw_add_settings_tab' ), 10, 1 );

			// Global Settings
			add_action( 'woocommerce_settings_ovabrw_global_typography_after', array( $this, 'ovabrw_global_typography_after' ) );

			// Save global settings
			add_action( 'woocommerce_update_option', array( $this, 'ovabrw_wc_update_option' ) );
        }

        public function ovabrw_add_settings_tab( $settings ) {
		  	$settings[] = include( OVABRW_PLUGIN_PATH.'admin/settings/class-ovabrw-settings-tab.php' );

		  	return $settings;
		}

		public function ovabrw_global_typography_after() {
			include( OVABRW_PLUGIN_PATH.'admin/settings/views/ovabrw-wcst-global-typography.php' );
		}

		public function ovabrw_wc_update_option( $option ) {
			$data = $_POST;

			if ( empty( $data ) ) {
				return false;
			}

			$update_options = [];

			// Font
			if ( isset( $data['ovabrw_glb_primary_font'] ) ) {
				$update_options['ovabrw_glb_primary_font'] = trim( $data['ovabrw_glb_primary_font'] );
			}
			if ( isset( $data['ovabrw_glb_primary_font_weight'] ) ) {
				$update_options['ovabrw_glb_primary_font_weight'] = $data['ovabrw_glb_primary_font_weight'];
			}
			if ( isset( $data['ovabrw_glb_custom_font'] ) ) {
				$update_options['ovabrw_glb_custom_font'] = trim( $data['ovabrw_glb_custom_font'] );
			}
			// End Font

			// Color
			if ( isset( $data['ovabrw_glb_primary_color'] ) ) {
				$update_options['ovabrw_glb_primary_color'] = trim( $data['ovabrw_glb_primary_color'] );
			}
			if ( isset( $data['ovabrw_glb_light_color'] ) ) {
				$update_options['ovabrw_glb_light_color'] = trim( $data['ovabrw_glb_light_color'] );
			}
			// End Color

			// Heading
			if ( isset( $data['ovabrw_glb_heading_font_size'] ) ) {
				$update_options['ovabrw_glb_heading_font_size'] = trim( $data['ovabrw_glb_heading_font_size'] );
			}
			if ( isset( $data['ovabrw_glb_heading_font_weight'] ) ) {
				$update_options['ovabrw_glb_heading_font_weight'] = trim( $data['ovabrw_glb_heading_font_weight'] );
			}
			if ( isset( $data['ovabrw_glb_heading_line_height'] ) ) {
				$update_options['ovabrw_glb_heading_line_height'] = trim( $data['ovabrw_glb_heading_line_height'] );
			}
			if ( isset( $data['ovabrw_glb_heading_color'] ) ) {
				$update_options['ovabrw_glb_heading_color'] = trim( $data['ovabrw_glb_heading_color'] );
			}
			// End Heading
			
			// Second Heading
			if ( isset( $data['ovabrw_glb_second_heading_font_size'] ) ) {
				$update_options['ovabrw_glb_second_heading_font_size'] = trim( $data['ovabrw_glb_second_heading_font_size'] );
			}
			if ( isset( $data['ovabrw_glb_second_heading_font_weight'] ) ) {
				$update_options['ovabrw_glb_second_heading_font_weight'] = trim( $data['ovabrw_glb_second_heading_font_weight'] );
			}
			if ( isset( $data['ovabrw_glb_second_heading_line_height'] ) ) {
				$update_options['ovabrw_glb_second_heading_line_height'] = trim( $data['ovabrw_glb_second_heading_line_height'] );
			}
			if ( isset( $data['ovabrw_glb_second_heading_color'] ) ) {
				$update_options['ovabrw_glb_second_heading_color'] = trim( $data['ovabrw_glb_second_heading_color'] );
			}
			// End Second Heading
			
			// Label
			if ( isset( $data['ovabrw_glb_label_font_size'] ) ) {
				$update_options['ovabrw_glb_label_font_size'] = trim( $data['ovabrw_glb_label_font_size'] );
			}
			if ( isset( $data['ovabrw_glb_label_font_weight'] ) ) {
				$update_options['ovabrw_glb_label_font_weight'] = trim( $data['ovabrw_glb_label_font_weight'] );
			}
			if ( isset( $data['ovabrw_glb_label_line_height'] ) ) {
				$update_options['ovabrw_glb_label_line_height'] = trim( $data['ovabrw_glb_label_line_height'] );
			}
			if ( isset( $data['ovabrw_glb_label_color'] ) ) {
				$update_options['ovabrw_glb_label_color'] = trim( $data['ovabrw_glb_label_color'] );
			}
			// End Label
			
			// Text
			if ( isset( $data['ovabrw_glb_text_font_size'] ) ) {
				$update_options['ovabrw_glb_text_font_size'] = trim( $data['ovabrw_glb_text_font_size'] );
			}
			if ( isset( $data['ovabrw_glb_text_font_weight'] ) ) {
				$update_options['ovabrw_glb_text_font_weight'] = trim( $data['ovabrw_glb_text_font_weight'] );
			}
			if ( isset( $data['ovabrw_glb_text_line_height'] ) ) {
				$update_options['ovabrw_glb_text_line_height'] = trim( $data['ovabrw_glb_text_line_height'] );
			}
			if ( isset( $data['ovabrw_glb_text_color'] ) ) {
				$update_options['ovabrw_glb_text_color'] = trim( $data['ovabrw_glb_text_color'] );
			}
			// End Text
			
			// Card
			if ( isset( $data['ovabrw_glb_card_template'] ) ) {
				$update_options['ovabrw_glb_card_template'] = trim( $data['ovabrw_glb_card_template'] );
			}
			
			// Get all card templates
			$card_templates = ovabrw_get_all_card_templates();
    		if ( ! is_array( $card_templates ) ) $card_templates = [];

    		// Cart item settings
			$card_prefix = 'ovabrw_glb_';

			foreach ( $card_templates as $card => $label ) {
				// Featured
				if ( isset( $data[$card_prefix.$card.'_featured'] ) ) {
					$update_options[$card_prefix.$card.'_featured'] = $data[$card_prefix.$card.'_featured'];
				}

				// Special
				if ( isset( $data[$card_prefix.$card.'_feature_featured'] ) ) {
					$update_options[$card_prefix.$card.'_feature_featured'] = $data[$card_prefix.$card.'_feature_featured'];
				}

				// Thumbnail type
				if ( isset( $data[$card_prefix.$card.'_thumbnail_type'] ) ) {
					$update_options[$card_prefix.$card.'_thumbnail_type'] = $data[$card_prefix.$card.'_thumbnail_type'];
				}

				// Thumbnail size
				if ( isset( $data[$card_prefix.$card.'_thumbnail_size'] ) ) {
					$update_options[$card_prefix.$card.'_thumbnail_size'] = $data[$card_prefix.$card.'_thumbnail_size'];
				}

				// Thumbnail height
				if ( isset( $data[$card_prefix.$card.'_thumbnail_height'] ) ) {
					$update_options[$card_prefix.$card.'_thumbnail_height'] = $data[$card_prefix.$card.'_thumbnail_height'];
				}

				// Display thumbnail
				if ( isset( $data[$card_prefix.$card.'_display_thumbnail'] ) ) {
					$update_options[$card_prefix.$card.'_display_thumbnail'] = $data[$card_prefix.$card.'_display_thumbnail'];
				}

				// Price
				if ( isset( $data[$card_prefix.$card.'_price'] ) ) {
					$update_options[$card_prefix.$card.'_price'] = $data[$card_prefix.$card.'_price'];
				}

				// Specifications
				if ( isset( $data[$card_prefix.$card.'_specifications'] ) ) {
					$update_options[$card_prefix.$card.'_specifications'] = $data[$card_prefix.$card.'_specifications'];
				}

				// Features
				if ( isset( $data[$card_prefix.$card.'_features'] ) ) {
					$update_options[$card_prefix.$card.'_features'] = $data[$card_prefix.$card.'_features'];
				}

				// Custom Taxonomy
				if ( isset( $data[$card_prefix.$card.'_custom_taxonomy'] ) ) {
					$update_options[$card_prefix.$card.'_custom_taxonomy'] = $data[$card_prefix.$card.'_custom_taxonomy'];
				}

				// Attribute
				if ( isset( $data[$card_prefix.$card.'_attribute'] ) ) {
					$update_options[$card_prefix.$card.'_attribute'] = $data[$card_prefix.$card.'_attribute'];
				}

				// Short description
				if ( isset( $data[$card_prefix.$card.'_short_description'] ) ) {
					$update_options[$card_prefix.$card.'_short_description'] = $data[$card_prefix.$card.'_short_description'];
				}

				// Review
				if ( isset( $data[$card_prefix.$card.'_review'] ) ) {
					$update_options[$card_prefix.$card.'_review'] = $data[$card_prefix.$card.'_review'];
				}

				// Button
				if ( isset( $data[$card_prefix.$card.'_button'] ) ) {
					$update_options[$card_prefix.$card.'_button'] = $data[$card_prefix.$card.'_button'];
				}
			}
			// End Card

			foreach ( $update_options as $name => $value ) {
				update_option( $name, $value );
			}
		}
    }

	new OVABRW_Rental_Settings();
}