<?php defined( 'ABSPATH' ) || exit;
	$action = '';

	if ( isset( $args['search_result'] ) && $args['search_result'] != 'default' ) {
		$action = isset( $args['result_url']['url'] ) ? $args['result_url']['url'] : '';
	}

	// Column
	$column = isset( $args['layout2_columns'] ) ? $args['layout2_columns'] : 4;

	// Fields
	$search_fields = isset( $args['fields'] ) ? $args['fields'] : '';

	// Has location field
	$has_location = false;

	// Custom Taxonomies
	$custom_taxonomies = isset( $args['custom_taxonomies'] ) ? $args['custom_taxonomies'] : '';

	// Order by
	$orderby = isset( $args['orderby'] ) ? $args['orderby'] : 'date';

	// Order
	$order = isset( $args['order'] ) ? $args['order'] : 'DESC';
	
?>
<?php if ( ! empty( $search_fields ) && is_array( $search_fields ) ): ?>
<div class="ovabrw-search-taxi layout2">
	<form action="<?php echo esc_url( $action ); ?>" method="get" class="search-taxi-form">
		<div class="search-taxi-fields search-grid-<?php echo esc_attr( $column ); ?>">
			<?php foreach ( $search_fields as $field ): ?>
				<div class="search-field <?php echo esc_attr( $field['field_name'] ); ?>">
					<?php if ( $field['field_label'] ): ?>
						<label for="<?php echo esc_attr( $field['field_name'] ); ?>">
							<?php echo esc_html( $field['field_label'] ); ?>
						</label>
						<?php if ( $field['field_name'] === 'pickup-location' ):
							$has_location = true;
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
								required
							/>
							<input
								type="hidden"
								name="origin-location"
							/>
							<i aria-hidden="true" class="flaticon3-map"></i>
						<?php elseif ( $field['field_name'] === 'dropoff-location' ):
							$has_location = true;
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
								required
							/>
							<input
								type="hidden"
								name="destination-location"
							/>
							<i aria-hidden="true" class="flaticon3-map"></i>
						<?php elseif ( $field['field_name'] === 'pickup-date' ):
							$default_time 	= get_option( 'ova_brw_booking_form_default_hour', '07:00' );
							$start_time 	= ovabrw_group_time_pickup_date_global_setting();
							$first_day 		= get_option( 'ova_brw_calendar_first_day', '0' );

							if ( empty( $first_day ) ) {
								$first_day = 0;
							}
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								class="ovabrw_datetimepicker"
								default_hour="<?php echo esc_attr( $default_time ); ?>"
								time_to_book="<?php echo esc_attr( $start_time ); ?>"
								timepicker="true"
								data-firstday="<?php echo esc_attr( $first_day ); ?>"
								autocomplete="off"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
								onfocus="blur();"
								required
							/>
							<i aria-hidden="true" class="flaticon3-calendar"></i>
						<?php elseif ( $field['field_name'] === 'category' ):
							$default_category 	= isset( $args['default_category'] ) && $args['default_category'] ? $args['default_category'] : '';
							$incl_category 		= isset( $args['incl_category'] ) && $args['incl_category'] ? $args['incl_category'] : '';
							$excl_category 		= isset( $args['excl_category'] ) && $args['excl_category'] ? $args['excl_category'] : '';
						?>
							<?php echo OVABRW_Get_Data::instance()->get_html_dropdown_categories( $default_category, '', $excl_category, $field['field_placeholder'], $incl_category ); ?>
							<i aria-hidden="true" class="flaticon3-car-1"></i>
						<?php elseif ( $field['field_name'] === 'number-seats' ): ?>
							<input
								type="number"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								min="1"
								value="<?php echo apply_filters( 'ovabrw_default_number_of_seats', 4 ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
							/>
							<i aria-hidden="true" class="flaticon3-user"></i>
						<?php elseif ( $field['field_name'] === 'quantity' ): ?>
							<input
								type="number"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								min="1"
								value="1"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
							/>
							<i aria-hidden="true" class="flaticon-add"></i>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			<?php endforeach; ?>
			<?php // Custom Taxonomies
				$taxonomies = get_option( 'ovabrw_custom_taxonomy', array() );

				if ( ! empty( $custom_taxonomies ) && is_array( $custom_taxonomies ) ):
					foreach ( $custom_taxonomies as $obj_taxonomy ) {
						$taxonomy_slug 	= $obj_taxonomy['custom_taxonomy'];
						$selected 		= isset( $_GET[$taxonomy_slug.'_name'] ) ? $_GET[$taxonomy_slug.'_name'] : '';

						if ( isset( $taxonomies[$taxonomy_slug] ) && ! empty( $taxonomies[$taxonomy_slug] ) ) {
							$taxonomy_name = $taxonomies[$taxonomy_slug]['name'];
							$html_taxonomy = OVABRW_Get_Data::instance()->get_html_dropdown_taxonomies_search( $taxonomy_slug, $taxonomy_name, $selected );
							if ( ! empty( $taxonomy_name ) && $html_taxonomy ): ?>
								<div class="search-field wrap_search_taxonomies <?php echo esc_attr( $taxonomy_slug ); ?>">
									<label class="field-label">
										<?php echo esc_html( $taxonomy_name ); ?>
									</label>
									<?php printf( $html_taxonomy ); ?>
								</div>
							<?php
							endif;
						}
					}
				endif;
			?>
			<div class="search-field search-field-btn">
				<button class="search-taxi-btn" type="submit">
		        	<i class="flaticon-search-1"></i>
		        	<?php esc_html_e( 'Search Taxi', 'ova-brw' ); ?>
		        </button>
			</div>
			<?php if ( $has_location ): // Config map
				$map_types 	= isset( $args['map_type'] ) && $args['map_type'] ? $args['map_type'] : [];
				$bounds 	= isset( $args['bounds'] ) && $args['bounds'] === 'yes' ? '1' : '';
				$bounds_lat = isset( $args['lat'] ) && $args['lat'] ? $args['lat'] : '';
				$bounds_lng = isset( $args['lng'] ) && $args['lng'] ? $args['lng'] : '';
				$radius 	= isset( $args['radius'] ) && $args['radius'] ? $args['radius'] : '';
				$restrictions 	= isset( $args['restrictions'] ) && $args['restrictions'] ? $args['restrictions'] : [];
			?>
				<input
					type="hidden"
					name="search-taxi-options"
					data-map-types="<?php echo esc_attr( json_encode( [$map_types] ) ); ?>"
					data-bounds="<?php echo esc_attr( $bounds ); ?>"
					data-bounds-lat="<?php echo esc_attr( $bounds_lat ); ?>"
					data-bounds-lng="<?php echo esc_attr( $bounds_lng ); ?>"
					data-bounds-radius="<?php echo esc_attr( $radius ); ?>"
					data-restrictions="<?php echo esc_attr( json_encode( $restrictions ) ); ?>"
				/>
				<input type="hidden" name="map-duration" />
				<input type="hidden" name="map-distance" />
			<?php endif; // Config map ?>
		</div>
		<?php if ( ! $action ): ?>
	        <input type="hidden" name="orderby" value="<?php echo esc_attr( $orderby ); ?>" />
	        <input type="hidden" name="order" value="<?php echo esc_attr( $order ); ?>" />
	        <input type="hidden" name="ovabrw_search" value="search_item" />
	        <input type="hidden" name="post_type" value="product" />
	    <?php endif; ?>
	</form>
</div>
<?php endif;