<?php if ( ! defined( 'ABSPATH' ) ) exit();
	global $product;

	if ( isset( $args['product_id'] ) && $args['product_id'] ) {
		$product = wc_get_product( $args['product_id'] );
	}

	if ( ! $product ) return;

	$product_id = $product->get_id();

	// Total max guests
	$max_guests = get_post_meta( $product_id, 'ovabrw_max_guests', true );

	// Total min guests
	$min_guests = get_post_meta( $product_id, 'ovabrw_min_guests', true );

    // Total Guests
    $total_guests = 0;

	// Adults
    $beside_adults = apply_filters( 'ovabrw_beside_adults', '', $product_id );  
	$max_adults    = get_post_meta( $product_id, 'ovabrw_max_adults', true );
	$min_adults    = intval( get_post_meta( $product_id, 'ovabrw_min_adults', true ) );
    $number_adults = isset( $_GET['ovabrw_adults'] ) ? intval( $_GET['ovabrw_adults'] ) : $min_adults;
    $total_guests += intval( $number_adults );

	// Children
    if ( apply_filters( 'ovabrw_show_children', true ) ) {
        $beside_children    = apply_filters( 'ovabrw_beside_children', '', $product_id );
        $max_children       = get_post_meta( $product_id, 'ovabrw_max_children', true );
        $min_children       = intval( get_post_meta( $product_id, 'ovabrw_min_children', true ) );
        $number_children    = isset( $_GET['ovabrw_children'] ) ? intval( $_GET['ovabrw_children'] ) : $min_children;
        $total_guests       += intval( $number_children );
    }

    // Babies
    if ( apply_filters( 'ovabrw_show_children', true ) ) {
        $beside_babies  = apply_filters( 'ovabrw_beside_babies', '', $product_id );
        $max_babies     = get_post_meta( $product_id, 'ovabrw_max_babies', true );
        $min_babies     = intval( get_post_meta( $product_id, 'ovabrw_min_babies', true ) );
        $number_babies  = isset( $_GET['ovabrw_babies'] ) ? intval( $_GET['ovabrw_babies'] ) : $min_babies;
        $total_guests   += intval( $number_babies );
    }
?>

<div class="rental_item">
    <label><?php esc_html_e( 'Guests', 'ova-brw' ); ?></label>
    <div class="error_item">
        <label><?php esc_html_e( 'This field is required', 'ova-brw' ); ?></label>
    </div>
    <div class="ovabrw-wrapper-guestspicker">
        <div class="ovabrw-guestspicker">
            <div class="guestspicker">
                <span class="gueststotal"><?php echo esc_html( $total_guests ); ?></span>
            </div>
        </div>
        <div class="ovabrw-gueste-error"></div>
        <div class="ovabrw-guestspicker-content">
            <div class="guests-buttons">
                <div class="guests-label">
                    <label><?php esc_html_e( 'Adults', 'ova-brw' ); ?></label>
                    <?php if ( $beside_adults ): ?>
                        <span class="guests-beside beside-adults">
                            <?php echo esc_html( $beside_adults ); ?>
                        </span>
                    <?php endif; ?>
                </div>
                <div class="guests-button">
                    <div class="guests-icon minus">
                        <span class="flaticon flaticon-substract"></span>
                    </div>
                    <input
                        type="text"
                        name="ovabrw_adults"
                        class="ovabrw_adults required"
                        value="<?php echo esc_attr( $number_adults ); ?>"
                        readonly
                    />
                    <div class="guests-icon plus">
                        <span class="flaticon flaticon-add"></span>
                    </div>
                    <input
                        type="hidden"
                        name="ovabrw_min_adults"
                        value="<?php echo $min_adults ? esc_attr( $min_adults ) : ''; ?>"
                        data-error="<?php echo $min_adults ? sprintf( esc_html__( 'Minimum number of adults: %d', 'ova-brw' ), $min_adults ) : ''; ?>"
                    />
                    <input
                        type="hidden"
                        name="ovabrw_max_adults"
                        value="<?php echo $max_adults ? esc_attr( $max_adults ) : ''; ?>"
                        data-error="<?php echo $max_adults ? sprintf( esc_html__( 'Maximun number of adults: %d', 'ova-brw' ), $max_adults ) : ''; ?>"
                    />
                </div>
            </div>
            <?php if ( apply_filters( 'ovabrw_show_children', true ) ): ?>
                <div class="guests-buttons">
                    <div class="guests-label">
                        <label><?php esc_html_e( 'Children', 'ova-brw' ); ?></label>
                        <?php if ( $beside_children ): ?>
                            <span class="guests-beside beside-children">
                                <?php echo esc_html( $beside_children ); ?>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="guests-button">
                        <div class="guests-icon minus">
                            <span class="flaticon flaticon-substract"></span>
                        </div>
                        <input
                            type="text"
                            name="ovabrw_children"
                            class="ovabrw_children required"
                            value="<?php echo esc_attr( $number_children ); ?>"
                            readonly
                        />
                        <div class="guests-icon plus">
                            <span class="flaticon flaticon-add"></span>
                        </div>
                        <input
                            type="hidden"
                            name="ovabrw_min_children"
                            value="<?php echo $min_children ? esc_attr( $min_children ) : ''; ?>"
                            data-error="<?php echo $min_children ? sprintf( esc_html__( 'Minimum number of children: %d', 'ova-brw' ), $min_children ) : ''; ?>"
                        />
                        <input
                            type="hidden"
                            name="ovabrw_max_children"
                            value="<?php echo $max_children ? esc_attr( $max_children ) : ''; ?>"
                            data-error="<?php echo $max_children ? sprintf( esc_html__( 'Maximun number of children: %d', 'ova-brw' ), $max_children ) : ''; ?>"
                        />
                    </div>
                </div>
            <?php endif; ?>
            <?php if ( apply_filters( 'ovabrw_show_babies', true ) ): ?>
                <div class="guests-buttons">
                    <div class="guests-label">
                        <label><?php esc_html_e( 'Babies', 'ova-brw' ); ?></label>
                        <?php if ( $beside_babies ): ?>
                            <span class="guests-beside beside-babies">
                                <?php echo esc_html( $beside_babies ); ?>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="guests-button">
                        <div class="guests-icon minus">
                            <span class="flaticon flaticon-substract"></span>
                        </div>
                        <input
                            type="text"
                            name="ovabrw_babies"
                            class="ovabrw_babies required"
                            value="<?php echo esc_attr( $number_babies ); ?>"
                            readonly
                        />
                        <div class="guests-icon plus">
                            <span class="flaticon flaticon-add"></span>
                        </div>
                        <input
                            type="hidden"
                            name="ovabrw_min_babies"
                            value="<?php echo $min_babies ? esc_attr( $min_babies ) : ''; ?>"
                            data-error="<?php echo $min_babies ? sprintf( esc_html__( 'Minimum number of babies: %d', 'ova-brw' ), $min_babies ) : ''; ?>"
                        />
                        <input
                            type="hidden"
                            name="ovabrw_max_babies"
                            value="<?php echo $max_babies ? esc_attr( $max_babies ) : ''; ?>"
                            data-error="<?php echo $max_babies ? sprintf( esc_html__( 'Maximun number of babies: %d', 'ova-brw' ), $max_babies ) : ''; ?>"
                        />
                    </div>
                </div>
            <?php endif; ?>
            <input
                type="hidden"
                name="ovabrw_min_guests"
                value="<?php echo esc_attr( $min_guests ); ?>"
                data-error="<?php echo $min_guests ? sprintf( esc_html__( 'Minimum number of guests: %d', 'ova-brw' ), $min_guests ) : ''; ?>"
            />
            <input
                type="hidden"
                name="ovabrw_max_guests"
                value="<?php echo esc_attr( $max_guests ); ?>"
                data-error="<?php echo $max_guests ? sprintf( esc_html__( 'Maximum number of guests: %d', 'ova-brw' ), $max_guests ) : ''; ?>"
            />
        </div>
    </div>
</div>