<?php if ( ! defined( 'ABSPATH' ) ) exit();
    
    $data_get = $_GET;

	$search_heading  = isset($args['search_heading']) ? $args['search_heading'] : esc_html__('Search Form','ova-brw');
	$search_position = isset($args['form_search_position']) ? $args['form_search_position'] : 'left';

	$column = 'column3';
	if($search_position != 'top') {
		$column = 'column1';
	}

	// Get first day in week
	$first_day = get_option( 'ova_brw_calendar_first_day', '0' );

	if ( empty( $first_day ) ) {
		$first_day = 0;
	}

	$show_time 	= ( isset($args['show_time']) && ($args['show_time'] == "yes") ) ? ' timepicker="true"' : '';

	$list_taxonomy_custom = isset($args['list_taxonomy_custom']) ? $args['list_taxonomy_custom'] : '';

	// Include, Exclude category
	$exclude_id = isset( $args['category_not_in'] ) && $args['category_not_in'] ? $args['category_not_in'] : '';
	$include_id = isset( $args['category_in'] ) && $args['category_in'] ? $args['category_in'] : '';

	// Label
	$field_name 			= isset($args['field_name']) ? $args['field_name'] : esc_html__('Product Name','ova-brw');
	$field_category 		= isset($args['field_category']) ? $args['field_category'] : esc_html__('Select Category','ova-brw');
	$field_pickup_date 		= isset($args['field_pickup_date']) ? $args['field_pickup_date'] : esc_html__('Pick-up Date','ova-brw');
	$field_dropoff_date 	= isset($args['field_dropoff_date']) ? $args['field_dropoff_date'] : esc_html__('Drop-off Date','ova-brw');
	$field_attribute 		= isset($args['field_attribute']) ? $args['field_attribute'] : esc_html__('Attribute','ova-brw');
	$field_guest		    = isset($args['field_guest']) ? $args['field_guest'] : esc_html__('Guests','ova-brw');
	$field_tags 			= isset($args['field_tags']) ? $args['field_tags'] : esc_html__('Tags','ova-brw');
	$field_quantity 		= isset($args['field_quantity']) ? $args['field_quantity'] : esc_html__('Quantity','ova-brw');
	$field_button 			= isset($args['field_button']) ? $args['field_button'] : esc_html__('Search','ova-brw');

	$adults_label   = isset($args['adults_label'])   ? $args['adults_label'] 	: esc_html__('Adults','ova-brw');
	$children_label = isset($args['children_label']) ? $args['children_label']  : esc_html__('Children','ova-brw');
	$babies_label 	= isset($args['babies_label'])   ? $args['babies_label'] 	: esc_html__('Babies','ova-brw');

	// Placeholder
	$placeholder_name 				= isset($args['placeholder_name']) ? $args['placeholder_name'] : $field_name;
	$placeholder_category 			= isset($args['placeholder_category']) ? $args['placeholder_category'] : $field_category;
	$placeholder_guest 				= isset($args['placeholder_guest']) ? $args['placeholder_guest'] : '';
	$placeholder_attribute 			= isset($args['placeholder_attribute']) ? $args['placeholder_attribute'] : $field_attribute;
	$placeholder_tags 				= isset($args['placeholder_tags']) ? $args['placeholder_tags'] : $field_tags;

	$placeholder_date 			= ovabrw_get_placeholder_date();
	$placeholder_time 			= ovabrw_get_placeholder_time();

	$date_format 	= ovabrw_get_date_format();
	$hour_default 	= ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour', '07:00' ) );
	$time_step 		= ovabrw_get_setting( get_option( 'ova_brw_booking_form_step_time', '30' ) );

	// Total max guests
	$max_guests = isset($args['max_guests']) ? $args['max_guests'] : '30' ;

	// Total min guests
	$min_guests = isset($args['min_guests']) ? $args['min_guests'] : '1' ;

    // Total Guests
    $total_guests = 0;

	// Adults
	$max_adults    = isset($args['max_adults']) ? $args['max_adults'] : '10';
	$min_adults    = isset($args['min_adults']) ? $args['min_adults'] : '1';
    $number_adults = isset($args['default_adult_number']) ? $args['default_adult_number'] : '2' ;

    if( isset( $data_get['ovabrw_adults'] ) ) {
    	$number_adults = sanitize_text_field( $data_get['ovabrw_adults'] );
    }

    $total_guests += intval( $number_adults );

	// Children
    if ( apply_filters( 'ovabrw_show_children', true ) ) {
        $max_children       = isset($args['max_children']) ? $args['max_children'] : '30' ;
        $min_children       = isset($args['min_children']) ? $args['min_children'] : '0' ;
        $number_children    = isset($args['default_children_number']) ? $args['default_children_number'] : '0' ;
        if( isset( $data_get['ovabrw_children'] ) ) {
	    	$number_children = sanitize_text_field( $data_get['ovabrw_children'] );
	    }
        $total_guests       += intval( $number_children );
    }

    // Babies
    if ( apply_filters( 'ovabrw_show_children', true ) ) {
        $max_babies     = isset($args['max_babies']) ? $args['max_babies'] : '5' ;
        $min_babies     = isset($args['min_babies']) ? $args['min_babies'] : '0' ;
        $number_babies  = isset($args['default_babies_number']) ? $args['default_babies_number'] : '0' ;
        if( isset( $data_get['ovabrw_babies'] ) ) {
	    	$number_babies = sanitize_text_field( $data_get['ovabrw_babies'] );
	    }
        $total_guests   += intval( $number_babies );
    }


	// default value get from url
	$ovabrw_name_product 	= isset( $data_get['ovabrw_name_product'] ) ? sanitize_text_field( $data_get['ovabrw_name_product'] ) : '';
	$default_cat 		    = isset( $data_get['cat'] ) ? sanitize_text_field( $data_get['cat'] ) : '';
	$ovabrw_pickup_date 	= isset( $data_get['ovabrw_pickup_date'] ) ? sanitize_text_field( $data_get['ovabrw_pickup_date'] ) : '';
	$ovabrw_pickoff_date 	= isset( $data_get['ovabrw_pickoff_date'] ) ? sanitize_text_field( $data_get['ovabrw_pickoff_date'] ) : '';
	$ovabrw_tag_product 	= isset( $data_get['ovabrw_tag_product'] ) ? sanitize_text_field( $data_get['ovabrw_tag_product'] ) : '';

	// default cat value from settings
	if ($default_cat == '') {
		$default_cat = isset( $args['default_cat'] ) ? sanitize_text_field( $args['default_cat'] ) : '';
	}

	// query data
	$order 			= $args['order'];
	$orderby 		= $args['orderby'];
	$posts_per_page = $args['posts_per_page'];

	$data = array(
		'orderby' 	=> $orderby,
		'order' 	=> $order,
		'posts_per_page' => $posts_per_page,
	);

	$products = OVABRW_Get_Data::instance()->get_products_search( $data );

	// Card Template
	$card = $args['card'];

	$result_column = $args['result_column'];

	if ( $card === 'card5' || $card === 'card6' ) $result_column = 'one-column';

?>

<div class="ovabrw-product-search-ajax search-position-<?php echo esc_attr($search_position);?>">

	<div class="ovabrw-search-hotel2 ovabrw_wd_search">
		<form class="product-search-form <?php echo esc_attr($column);?>" method="POST" action="" autocomplete="off" autocapitalize="none">
			<div class="product-search-content wrap_content <?php echo esc_attr($column);?>">
				<?php if( !empty($search_heading) ) { ?>
				    <h2 class="search-heading">
						<?php echo esc_html($search_heading);?>
					</h2>
				<?php } ?>
				<?php for ( $i = 1; $i <= 8; $i++ ):
					$key = 'field_'.$i;

					switch ( $args[$key] ) {
						case 'name': ?>
							<div class="label_search ova-product-name">
								<label class="field-label"><?php echo esc_html( $field_name ); ?></label>
								<input type="text" name="ovabrw_name_product" autocomplete="off" 
										value="<?php echo esc_attr( $ovabrw_name_product ); ?>" 
										autocapitalize="none" 
										placeholder="<?php echo esc_attr( $placeholder_name ); ?>" />
							</div>
							<?php break;

						case 'category': ?>
							<div class="label_search ova-category">
								<label class="field-label"><?php echo esc_html( $field_category ); ?></label>
								<?php echo OVABRW_Get_Data::instance()->get_html_dropdown_categories( $default_cat, '', $exclude_id, $placeholder_category, $include_id ); ?>
							</div>
						<?php break;

						case 'pickup_date': ?>
							<div class="label_search ova-pickup-date">
								<label class="field-label"><?php echo esc_html( $field_pickup_date ); ?></label>
								<div class="input-with-icon" style="position: relative;">
									<input type="text" name="ovabrw_pickup_date"
											value="<?php echo esc_attr( $ovabrw_pickoff_date ); ?>" 
											onkeydown="return false" 
											class=" ovabrw_datetimepicker ovabrw_start_date" 
											placeholder="<?php echo esc_attr( $placeholder_date ); ?>" autocomplete="off" 
											data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
											data-time_step="<?php echo esc_attr( $time_step ); ?>" 
											data-dateformat="<?php echo esc_attr( $date_format ); ?>" 
											data-firstday="<?php echo esc_attr( $first_day ); ?>" 
											onfocus="blur();" 
											<?php printf( $show_time ); ?>/>
									<i class="brwicon-calendar"></i>
								</div>
							</div>
						<?php break;

						case 'dropoff_date': ?>
							<div class="label_search ova-dropoff-date">
								<label class="field-label"><?php echo esc_html( $field_dropoff_date ); ?></label>
								<div class="input-with-icon" style="position: relative;">
									<input type="text" name="ovabrw_pickoff_date"
										value="<?php echo esc_attr( $ovabrw_pickup_date ); ?>" 
										onkeydown="return false" 
										class=" ovabrw_datetimepicker ovabrw_end_date" 
										placeholder="<?php echo esc_attr( $placeholder_date ); ?>" autocomplete="off" 
										data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
										data-time_step="<?php echo esc_attr( $time_step ); ?>" 
										data-dateformat="<?php echo esc_attr( $date_format ); ?>" 
										data-firstday="<?php echo esc_attr( $first_day ); ?>" 
										onfocus="blur();" 
										<?php printf( $show_time ); ?> />
									<i class="brwicon-calendar"></i>
								</div>
							</div>
						<?php break;

						case 'guest': ?>
					        <div class="label_search ovabrw-wrapper-guestspicker">
					        	<label class="field-label"><?php echo esc_html( $field_guest ); ?></label>
						        <div class="ovabrw-guestspicker">
						            <div class="guestspicker">
						                <span class="gueststotal">
						                	<?php echo esc_html( $total_guests ); ?>
						                </span>
						                <?php if ( !empty($placeholder_guest) ): ?>
							             	<?php echo esc_html( $placeholder_guest ); ?>
							         	<?php endif; ?>
						            </div>
						        </div>
						        <div class="ovabrw-gueste-error"></div>
						        <div class="ovabrw-guestspicker-content">
						            <div class="guests-buttons">
						                <div class="guests-label">
						                    <label><?php echo esc_html($adults_label); ?></label>
						                </div>
						                <div class="guests-button">
						                    <div class="guests-icon minus">
						                        <span class="flaticon flaticon-substract"></span>
						                    </div>
						                    <input
						                        type="text"
						                        name="ovabrw_adults"
						                        class="ovabrw_adults required"
						                        value="<?php echo esc_attr( $number_adults ); ?>"
						                        readonly
						                    />
						                    <div class="guests-icon plus">
						                        <span class="flaticon flaticon-add"></span>
						                    </div>
						                    <input
						                        type="hidden"
						                        name="ovabrw_min_adults"
						                        value="<?php echo $min_adults ? esc_attr( $min_adults ) : ''; ?>"
						                        data-error="<?php echo $min_adults ? sprintf( esc_html__( 'Minimum number of adults: %d', 'ova-brw' ), $min_adults ) : ''; ?>"
						                    />
						                    <input
						                        type="hidden"
						                        name="ovabrw_max_adults"
						                        value="<?php echo $max_adults ? esc_attr( $max_adults ) : ''; ?>"
						                        data-error="<?php echo $max_adults ? sprintf( esc_html__( 'Maximun number of adults: %d', 'ova-brw' ), $max_adults ) : ''; ?>"
						                    />
						                </div>
						            </div>
						            <?php if ( apply_filters( 'ovabrw_show_children', true ) ): ?>
						                <div class="guests-buttons">
						                    <div class="guests-label">
						                        <label><?php echo esc_html($children_label); ?></label>
						                    </div>
						                    <div class="guests-button">
						                        <div class="guests-icon minus">
						                            <span class="flaticon flaticon-substract"></span>
						                        </div>
						                        <input
						                            type="text"
						                            name="ovabrw_children"
						                            class="ovabrw_children required"
						                            value="<?php echo esc_attr( $number_children ); ?>"
						                            readonly
						                        />
						                        <div class="guests-icon plus">
						                            <span class="flaticon flaticon-add"></span>
						                        </div>
						                        <input
						                            type="hidden"
						                            name="ovabrw_min_children"
						                            value="<?php echo $min_children ? esc_attr( $min_children ) : ''; ?>"
						                            data-error="<?php echo $min_children ? sprintf( esc_html__( 'Minimum number of children: %d', 'ova-brw' ), $min_children ) : ''; ?>"
						                        />
						                        <input
						                            type="hidden"
						                            name="ovabrw_max_children"
						                            value="<?php echo $max_children ? esc_attr( $max_children ) : ''; ?>"
						                            data-error="<?php echo $max_children ? sprintf( esc_html__( 'Maximun number of children: %d', 'ova-brw' ), $max_children ) : ''; ?>"
						                        />
						                    </div>
						                </div>
						            <?php endif; ?>
						            <?php if ( apply_filters( 'ovabrw_show_babies', true ) ): ?>
						                <div class="guests-buttons">
						                    <div class="guests-label">
						                        <label><?php echo esc_html($babies_label); ?></label>  
						                    </div>
						                    <div class="guests-button">
						                        <div class="guests-icon minus">
						                            <span class="flaticon flaticon-substract"></span>
						                        </div>
						                        <input
						                            type="text"
						                            name="ovabrw_babies"
						                            class="ovabrw_babies required"
						                            value="<?php echo esc_attr( $number_babies ); ?>"
						                            readonly
						                        />
						                        <div class="guests-icon plus">
						                            <span class="flaticon flaticon-add"></span>
						                        </div>
						                        <input
						                            type="hidden"
						                            name="ovabrw_min_babies"
						                            value="<?php echo $min_babies ? esc_attr( $min_babies ) : ''; ?>"
						                            data-error="<?php echo $min_babies ? sprintf( esc_html__( 'Minimum number of babies: %d', 'ova-brw' ), $min_babies ) : ''; ?>"
						                        />
						                        <input
						                            type="hidden"
						                            name="ovabrw_max_babies"
						                            value="<?php echo $max_babies ? esc_attr( $max_babies ) : ''; ?>"
						                            data-error="<?php echo $max_babies ? sprintf( esc_html__( 'Maximun number of babies: %d', 'ova-brw' ), $max_babies ) : ''; ?>"
						                        />
						                    </div>
						                </div>
						            <?php endif; ?>
						            <input
						                type="hidden"
						                name="ovabrw_min_guests"
						                value="<?php echo esc_attr( $min_guests ); ?>"
						                data-error="<?php echo $min_guests ? sprintf( esc_html__( 'Minimum number of guests: %d', 'ova-brw' ), $min_guests ) : ''; ?>"
						            />
						            <input
						                type="hidden"
						                name="ovabrw_max_guests"
						                value="<?php echo esc_attr( $max_guests ); ?>"
						                data-error="<?php echo $max_guests ? sprintf( esc_html__( 'Maximum number of guests: %d', 'ova-brw' ), $max_guests ) : ''; ?>"
						            />
						        </div>
						    </div>
						<?php break;

						case 'attribute':
							$data_html_attr = OVABRW_Get_Data::instance()->get_html_dropdown_attributes( $placeholder_attribute );

							if ( $data_html_attr['html_attr'] ): ?>
								<div class="label_search ova-attribute ovabrw_search">
									<label class="field-label"><?php echo esc_html( $field_attribute ); ?></label>
									<?php printf( $data_html_attr['html_attr'] ); ?>
								</div>
							<?php endif;

							if ( $data_html_attr['html_attr_value'] ) {
								printf( $data_html_attr['html_attr_value'] );
							}

							break;

						case 'quantity': ?>
							<div class="label_search ova-quantity">
								<label class="field-label"><?php echo esc_html( $field_quantity ); ?></label>
								<div class="quantity-button">
									<input type="text" id="ovabrw_quantity" name="ovabrw_quantity" class="ovabrw_quantity" value="1" min="1" max="20">
									<div class="quantity-icon minus">
										<span class="flaticon flaticon-substract"></span>
									</div>
									<div class="quantity-icon plus">
										<span class="flaticon flaticon-add"></span>
									</div>
								</div>
							</div>
						<?php break;

						case 'tags': ?>
							<div class="label_search ova-tags">
								<label class="field-label"><?php echo esc_html( $field_tags ); ?></label>
								<input type="text" name="ovabrw_tag_product" autocomplete="off" 
									value="<?php echo esc_attr( $ovabrw_tag_product ); ?>"
									autocapitalize="none" 
									placeholder="<?php echo esc_attr( $placeholder_tags ); ?>" />
							</div> 
						<?php break;

						default:
							break;
					}
				?>
				<?php endfor; ?>

				<?php
					$args_taxonomy 	= array();
					$taxonomies 	= get_option( 'ovabrw_custom_taxonomy', array() );
					$show_taxonomy 	= get_option( 'ova_brw_search_show_tax_depend_cat', 'yes' );

					if ( $list_taxonomy_custom && is_array( $list_taxonomy_custom ) ) {
						foreach ( $list_taxonomy_custom as $obj_taxonomy ) {
							$taxonomy_slug 	= $obj_taxonomy['taxonomy_custom'];
							$selected 		= isset( $_GET[$taxonomy_slug.'_name'] ) ? $_GET[$taxonomy_slug.'_name'] : '';

							if ( isset( $taxonomies[$taxonomy_slug] ) && ! empty( $taxonomies[$taxonomy_slug] ) ) {
								$taxonomy_name = $taxonomies[$taxonomy_slug]['name'];
								$html_taxonomy = OVABRW_Get_Data::instance()->get_html_dropdown_taxonomies_search( $taxonomy_slug, $taxonomy_name, $selected );
								if ( ! empty( $taxonomy_name ) && $html_taxonomy ):
									$args_taxonomy[$taxonomy_slug] = $taxonomy_name;
								?>
									<div class="label_search wrap_search_taxonomies <?php echo esc_attr( $taxonomy_slug ); ?>">
										<label class="field-label"><?php echo esc_html( $taxonomy_name ); ?></label>
										<?php printf( $html_taxonomy ); ?>
									</div>
								<?php
								endif;
							}
						}
					?>
					<div class="show_taxonomy" data-show_taxonomy="<?php echo esc_attr( $show_taxonomy ); ?>"></div>
					<input
						type="hidden"
						id="data_taxonomy_custom"
						name="data_taxonomy_custom"
						value="<?php echo esc_attr( json_encode( $args_taxonomy ) ); ?>"
					/>
				<?php } ?>

				<div class="product-search-submit">
					<button class="ovabrw_btn_submit" type="submit">
						<?php echo esc_html( $field_button ); ?>
					</button>
				</div>

	            <?php if ( defined( 'ICL_LANGUAGE_CODE' ) ): ?>
                	<input type="hidden" name="lang" value="'.ICL_LANGUAGE_CODE.'" />
                <?php endif; ?>
			</div>

		</form>
	</div>

	<div class="wrap_search_result">
		<!-- Search Filter Results -->
		<div class="wrap_search_filter">
			<div class="results_found">
				<?php if ( $products->found_posts == 1 ): ?>
				<span>
					<?php echo sprintf( esc_html__( '%s Result Found', 'ova-brw' ), esc_html( $products->found_posts ) ); ?>
				</span>
				<?php else: ?>
				<span>
					<?php echo sprintf( esc_html__( '%s Results Found', 'ova-brw' ), esc_html( $products->found_posts ) ); ?>
				</span>
				<?php endif; ?>

				<?php if ( 1 == ceil( $products->found_posts/ $products->query_vars['posts_per_page']) && $products->have_posts() ): ?>
					<span>
						<?php echo sprintf( esc_html__( '(Showing 1-%s)', 'ova-brw' ), esc_html( $products->found_posts ) ); ?>
					</span>
				<?php elseif ( !$products->have_posts() ): ?>
					<span></span>
				<?php else: ?>
					<span>
						<?php echo sprintf( esc_html__( '(Showing 1-%s)', 'ova-brw' ), esc_html( $products->query_vars['posts_per_page'] ) ); ?>
					</span>
				<?php endif; ?>
			</div>

			<div id="search_sort">
				<?php $search_sort_default = apply_filters( 'search_sort_default', 'date-desc' ); ?>
				<select name="sort">
					<option value=""><?php esc_html_e( 'Sort By', 'ova-brw' ); ?></option>
					<option value="date-desc" <?php if( $search_sort_default == 'date-desc' ) echo 'selected'; ?>>
						<?php esc_html_e( 'Newest First', 'ova-brw' ); ?>
					</option>
					<option value="date-asc" <?php if( $search_sort_default == 'date-asc' ) echo 'selected'; ?>>
						<?php esc_html_e( 'Oldest First', 'ova-brw' ); ?>
					</option>
					<option value="a-z" <?php if( $search_sort_default == 'a-z' ) echo 'selected'; ?>>
						<?php esc_html_e( 'A-Z', 'ova-brw' ); ?>
					</option>
					<option value="z-a" <?php if( $search_sort_default == 'z-a' ) echo 'selected'; ?> >
						<?php esc_html_e( 'Z-A', 'ova-brw' ); ?>
					</option>
				</select>
			</div>
		</div>

		<!-- Load more -->
		<div class="wrap_load_more" style="display: none;">
			<svg class="loader" width="50" height="50">
				<circle cx="25" cy="25" r="10" stroke="#FF3726"/>
				<circle cx="25" cy="25" r="20" stroke="#FF3726"/>
			</svg>
		</div>

		<!-- Search result -->
		<div
			id="search_result"
			class="search_result"
			data-card="<?php echo esc_attr( $card ); ?>"
			data-column="<?php echo esc_attr( $result_column ); ?>"
			data-order="<?php echo esc_attr( $order ); ?>"
			data-orderby="<?php echo esc_attr( $orderby ); ?>"
			data-per_page="<?php echo esc_attr( $posts_per_page ); ?>"
		>
			<?php
				$total = $products->max_num_pages;
				if (  $total > 1 ): ?>
					<div class="ovabrw_pagination_ajax">
					<?php
						echo OVABRW_Get_Data::instance()->get_html_pagination_ajax( $products->found_posts, $products->query_vars['posts_per_page'], 1 );
					?>
					</div>
					<?php
				endif;
			?>
		</div>
	</div>

</div>