<?php defined( 'ABSPATH' ) || exit;
	// Get Data $_REQUEST
	$pickup_location 		= isset( $_REQUEST['pickup-location'] ) ? $_REQUEST['pickup-location'] : '';
	$dropoff_location 		= isset( $_REQUEST['dropoff-location'] ) ? $_REQUEST['dropoff-location'] : '';
	$origin_location 		= isset( $_REQUEST['origin-location'] ) ? stripslashes( stripslashes( $_REQUEST['origin-location'] ) ) : '';
	$destination_location 	= isset( $_REQUEST['destination-location'] ) ? stripslashes( stripslashes( $_REQUEST['destination-location'] ) ) : '';
	$pickup_date 			= isset( $_REQUEST['pickup-date'] ) ? $_REQUEST['pickup-date'] : '';
	$category 				= isset( $_REQUEST['cat'] ) ? $_REQUEST['cat'] : '';
	$number_seats 			= isset( $_REQUEST['number-seats'] ) ? intval( $_REQUEST['number-seats'] ) : '';
	$quantity 				= isset( $_REQUEST['quantity'] ) ? intval( $_REQUEST['quantity'] ) : '';
	$duration 				= isset( $_REQUEST['map-duration'] ) ? intval( $_REQUEST['map-duration'] ) : '';
	$distance 				= isset( $_REQUEST['map-distance'] ) ? intval( $_REQUEST['map-distance'] ) : '';

	// Column
	$column = isset( $args['columns'] ) ? $args['columns'] : 4;

	// Fields
	$search_fields = isset( $args['fields'] ) ? $args['fields'] : '';

	// Has location field
	$has_location = false;

	// Custom Taxonomies
	$custom_taxonomies = isset( $args['custom_taxonomies'] ) ? $args['custom_taxonomies'] : '';

	// Card template
	$card_template = isset( $args['card_template'] ) ? $args['card_template'] : '';

	// Posts per page
	$posts_per_page = isset( $args['posts_per_page'] ) ? $args['posts_per_page'] : 6;

	// Result column
	$item_column = isset( $args['column'] ) ? $args['column'] : 'three-column';

	if ( in_array( $card_template , ['card5', 'card6'] ) ) {
		$item_column = 'one-column';
	}

	// Order by
	$orderby = isset( $args['orderby'] ) ? $args['orderby'] : 'date';

	// Order
	$order = isset( $args['order'] ) ? $args['order'] : 'DESC';

	// Category
	$term = isset( $args['term'] ) ? $args['term'] : '';

	$default_category = isset( $args['default_category'] ) && $args['default_category'] ? $args['default_category'] : '';

	if ( $category ) $default_category = $category;
	if ( $default_category ) $term = $default_category; 
?>

<?php if ( ! empty( $search_fields ) && is_array( $search_fields ) ): ?>
<div class="ovabrw-search-taxi-ajax">
	<form action="<?php echo esc_url( home_url() ); ?>" method="get" class="search-taxi-form">
		<div class="search-taxi-fields search-grid-<?php echo esc_attr( $column ); ?>">
			<?php foreach ( $search_fields as $field ): ?>
				<div class="search-field <?php echo esc_attr( $field['field_name'] ); ?>">
					<?php if ( $field['field_label'] ): ?>
						<label for="<?php echo esc_attr( $field['field_name'] ); ?>">
							<?php echo esc_html( $field['field_label'] ); ?>
						</label>
						<?php if ( $field['field_name'] === 'pickup-location' ):
							$has_location = true;
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								value="<?php echo esc_attr( $pickup_location ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
							/>
							<input
								type="hidden"
								name="origin-location"
								value="<?php echo esc_attr( $origin_location ); ?>"
							/>
							<i aria-hidden="true" class="flaticon3-map"></i>
						<?php elseif ( $field['field_name'] === 'dropoff-location' ):
							$has_location = true;
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								value="<?php echo esc_attr( $dropoff_location ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
							/>
							<input
								type="hidden"
								name="destination-location"
								value="<?php echo esc_attr( $destination_location ); ?>"
							/>
							<i aria-hidden="true" class="flaticon3-map"></i>
						<?php elseif ( $field['field_name'] === 'pickup-date' ):
							$default_time 	= get_option( 'ova_brw_booking_form_default_hour', '07:00' );
							$start_time 	= ovabrw_group_time_pickup_date_global_setting();
							$first_day 		= get_option( 'ova_brw_calendar_first_day', '0' );

							if ( empty( $first_day ) ) {
								$first_day = 0;
							}
						?>
							<input
								type="text"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								class="ovabrw_datetimepicker"
								value="<?php echo esc_attr( $pickup_date ); ?>"
								default_hour="<?php echo esc_attr( $default_time ); ?>"
								time_to_book="<?php echo esc_attr( $start_time ); ?>"
								timepicker="true"
								data-firstday="<?php echo esc_attr( $first_day ); ?>"
								autocomplete="off"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
								autocomplete="off"
								onfocus="blur();"
							/>
							<i aria-hidden="true" class="flaticon3-calendar"></i>
						<?php elseif ( $field['field_name'] === 'category' ):
							$incl_category = isset( $args['incl_category'] ) && $args['incl_category'] ? $args['incl_category'] : '';
							$excl_category = isset( $args['excl_category'] ) && $args['excl_category'] ? $args['excl_category'] : '';
						?>
							<?php echo OVABRW_Get_Data::instance()->get_html_dropdown_categories( $default_category, '', $excl_category, $field['field_placeholder'], $incl_category ); ?>
							<i aria-hidden="true" class="flaticon3-car-1"></i>
						<?php elseif ( $field['field_name'] === 'number-seats' ): ?>
							<input
								type="number"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								min="1"
								value="<?php echo $number_seats ? esc_attr( $number_seats ) : apply_filters( 'ovabrw_default_number_of_seats', 4 ); ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
							/>
							<i aria-hidden="true" class="flaticon3-user"></i>
						<?php elseif ( $field['field_name'] === 'quantity' ): ?>
							<input
								type="number"
								name="<?php echo esc_attr( $field['field_name'] ); ?>"
								id="<?php echo esc_attr( $field['field_name'] ); ?>"
								min="1"
								value="<?php echo $quantity ? esc_attr( $quantity ) : 1; ?>"
								placeholder="<?php echo esc_attr( $field['field_placeholder'] ); ?>"
							/>
							<i aria-hidden="true" class="flaticon-add"></i>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			<?php endforeach; ?>
			<?php // Custom Taxonomies
				$args_taxonomy 	= array();
				$taxonomies 	= get_option( 'ovabrw_custom_taxonomy', array() );

				if ( ! empty( $custom_taxonomies ) && is_array( $custom_taxonomies ) ):
					foreach ( $custom_taxonomies as $obj_taxonomy ) {
						$taxonomy_slug 	= $obj_taxonomy['custom_taxonomy'];
						$selected 		= isset( $_REQUEST[$taxonomy_slug.'_name'] ) ? $_REQUEST[$taxonomy_slug.'_name'] : '';

						if ( isset( $taxonomies[$taxonomy_slug] ) && ! empty( $taxonomies[$taxonomy_slug] ) ) {
							$taxonomy_name = $taxonomies[$taxonomy_slug]['name'];
							$html_taxonomy = OVABRW_Get_Data::instance()->get_html_dropdown_taxonomies_search( $taxonomy_slug, $taxonomy_name, $selected );
							if ( ! empty( $taxonomy_name ) && $html_taxonomy ):
								$args_taxonomy[$taxonomy_slug] = $taxonomy_name;
							?>
								<div class="search-field wrap_search_taxonomies <?php echo esc_attr( $taxonomy_slug ); ?>">
									<label class="field-label">
										<?php echo esc_html( $taxonomy_name ); ?>
									</label>
									<?php printf( $html_taxonomy ); ?>
								</div>
							<?php
							endif;
						}
					}
				endif;
			?>
			<input
				type="hidden"
				name="custom-taxonomies"
				value="<?php echo esc_attr( json_encode( $args_taxonomy ) ); ?>"
			/>
			<div class="search-field search-field-btn">
				<button class="search-taxi-btn" type="submit">
		        	<i class="flaticon-search-1"></i>
		        	<?php esc_html_e( 'Search Taxi', 'ova-brw' ); ?>
		        </button>
			</div>
			<?php if ( $has_location ): // Config map
				$map_types 	= isset( $args['map_type'] ) && $args['map_type'] ? $args['map_type'] : [];
				$bounds 	= isset( $args['bounds'] ) && $args['bounds'] === 'yes' ? '1' : '';
				$bounds_lat = isset( $args['lat'] ) && $args['lat'] ? $args['lat'] : '';
				$bounds_lng = isset( $args['lng'] ) && $args['lng'] ? $args['lng'] : '';
				$radius 	= isset( $args['radius'] ) && $args['radius'] ? $args['radius'] : '';
				$restrictions 	= isset( $args['restrictions'] ) && $args['restrictions'] ? $args['restrictions'] : [];
			?>
				<input
					type="hidden"
					name="search-taxi-options"
					data-map-types="<?php echo esc_attr( json_encode( [$map_types] ) ); ?>"
					data-bounds="<?php echo esc_attr( $bounds ); ?>"
					data-bounds-lat="<?php echo esc_attr( $bounds_lat ); ?>"
					data-bounds-lng="<?php echo esc_attr( $bounds_lng ); ?>"
					data-bounds-radius="<?php echo esc_attr( $radius ); ?>"
					data-restrictions="<?php echo esc_attr( json_encode( $restrictions ) ); ?>"
				/>
				<input type="hidden" name="map-duration" value="<?php echo esc_attr( $duration ); ?>" />
				<input type="hidden" name="map-distance" value="<?php echo esc_attr( $distance ); ?>" />
			<?php endif; // Config map ?>
		</div>
	</form>
	<div class="ovabrw-search-taxi-results">
		<ul class="products ovabrw-product-list <?php echo esc_attr( $item_column ); ?>"></ul>
		<span class="ovabrw-loader"></span>
	</div>
	<?php if ( 'yes' === $pagination ): ?>
		<ul class="ovabrw-pagination"></ul>
	<?php endif; ?>
	<input
		type="hidden"
		name="ovabrw-search-query"
		data-card-template="<?php echo esc_attr( $card_template ); ?>"
		data-posts-per-page="<?php echo esc_attr( $posts_per_page ); ?>"
		data-column="<?php echo esc_attr( $item_column ); ?>"
		data-orderby="<?php echo esc_attr( $orderby ); ?>"
		data-order="<?php echo esc_attr( $order ); ?>"
		data-term="<?php echo esc_attr( $term ); ?>"
		data-pagination="<?php echo esc_attr( $pagination ); ?>"
	/>
</div>
<?php endif;